PHP                                                                        NEWS
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
24 Oct 2019, PHP 7.1.33

- FPM:
  . Fixed bug #78599 (env_path_info underflow in fpm_main.c can lead to RCE).
    (CVE-2019-11043) (Jakub Zelenka)

29 Aug 2019, PHP 7.1.32

- mbstring:
  . Fixed CVE-2019-13224 (don't allow different encodings for onig_new_deluxe) (stas)

- pcre:
  . Fixed bug #75457 (heap use-after-free in pcrelib) (cmb)

01 Aug 2019, PHP 7.1.31

- SQLite:
  . Upgraded to SQLite 3.28.0. (cmb)

- EXIF:
  . Fixed bug #78256 (heap-buffer-overflow on exif_process_user_comment).
  (CVE-2019-11042) (Stas)
  . Fixed bug #78222 (heap-buffer-overflow on exif_scan_thumbnail).
  (CVE-2019-11041) (Stas)
  
- Phar:
  . Fixed bug #77919 (Potential UAF in Phar RSHUTDOWN). (cmb)

30 May 2019, PHP 7.1.30

- EXIF:
  . Fixed bug #77988 (heap-buffer-overflow on php_jpg_get16).
  (CVE-2019-11040) (Stas)

- GD:
  . Fixed bug #77973 (Uninitialized read in gdImageCreateFromXbm).
  (CVE-2019-11038) (cmb)

- Iconv:
  . Fixed bug #78069 (Out-of-bounds read in iconv.c:_php_iconv_mime_decode()
  due to integer overflow). (CVE-2019-11039). (maris dot adam)

- SQLite:
  . Fixed bug #77967 (Bypassing open_basedir restrictions via file uris). (Stas)

03 May 2019, PHP 7.1.29

- EXIF:
  . Fixed bug #77950 (Heap-buffer-overflow in _estrndup via exif_process_IFD_TAG).
  (CVE-2019-11036) (Stas)

- Mail:
  . Fixed bug #77821 (Potential heap corruption in TSendMail()). (cmb)

04 Apr 2019, PHP 7.1.28

- EXIF:
  . Fixed bug #77753 (Heap-buffer-overflow in php_ifd_get32s). (CVE-2019-11034)
    (Stas)
  . Fixed bug #77831 (Heap-buffer-overflow in exif_iif_add_value).
    (CVE-2019-11035) (Stas)

- SQLite3:
  . Added sqlite3.defensive INI directive. (BohwaZ)

07 Mar 2019, PHP 7.1.27

- Core:
  . Fixed bug #77630 (rename() across the device may allow unwanted access during
    processing). (Stas)

- EXIF:
  . Fixed bug #77509 (Uninitialized read in exif_process_IFD_in_TIFF). (Stas)
  . Fixed bug #77540 (Invalid Read on exif_process_SOFn). (Stas)
  . Fixed bug #77563 (Uninitialized read in exif_process_IFD_in_MAKERNOTE). (Stas)
  . Fixed bug #77659 (Uninitialized read in exif_process_IFD_in_MAKERNOTE). (Stas)

- PHAR:
  . Fixed bug #77396 (Null Pointer Dereference in phar_create_or_parse_filename).
    (bishop)
  . Fixed bug #77586 (phar_tar_writeheaders_int() buffer overflow). (bishop)

- SPL:
  . Fixed bug #77431 (openFile() silently truncates after a null byte). (cmb)

10 Jan 2019, PHP 7.1.26

- Core:
  . Fixed bug #77369 (memcpy with negative length via crafted DNS response). (Stas)

- GD:
  . Fixed bug #77269 (efree() on uninitialized Heap data in imagescale leads to
    use-after-free). (cmb)
  . Fixed bug #77270 (imagecolormatch Out Of Bounds Write on Heap). (cmb)

- IMAP:
  . Fixed bug #77020 (null pointer dereference in imap_mail). (cmb)

- Mbstring:
  . Fixed bug #77370 (Buffer overflow on mb regex functions - fetch_token). (Stas)
  . Fixed bug #77371 (heap buffer overflow in mb regex functions
    - compile_string_node). (Stas)
  . Fixed bug #77381 (heap buffer overflow in multibyte match_at). (Stas)
  . Fixed bug #77382 (heap buffer overflow due to incorrect length in
    expand_case_fold_string). (Stas)
  . Fixed bug #77385 (buffer overflow in fetch_token). (Stas)
  . Fixed bug #77394 (Buffer overflow in multibyte case folding - unicode). (Stas)
  . Fixed bug #77418 (Heap overflow in utf32be_mbc_to_code). (Stas)

- Phar:
  . Fixed bug #77247 (heap buffer overflow in phar_detect_phar_fname_ext). (Stas)

- Xmlrpc:
  . Fixed bug #77242 (heap out of bounds read in xmlrpc_decode()). (cmb)
  . Fixed bug #77380 (Global out of bounds read in xmlrpc base64 code). (Stas)

06 Dec 2018, PHP 7.1.25

- Core:
  . Fixed bug #71041 (zend_signal_startup() needs ZEND_API).
    (Valentin V. Bartenev)

- ftp:
  . Fixed bug #77151 (ftp_close(): SSL_read on shutdown). (Remi)

- iconv:
  . Fixed bug #77147 (Fixing 60494 ignored ICONV_MIME_DECODE_CONTINUE_ON_ERROR).
    (cmb)

- IMAP:
  . Fixed bug #77153 (imap_open allows to run arbitrary shell commands via
    mailbox parameter). (Stas)

- ODBC:
  . Fixed bug #77079 (odbc_fetch_object has incorrect type signature).
    (Jon Allen)

- Opcache:
  . Fixed bug #77058 (Type inference in opcache causes side effects). (Nikita)

- PGSQL:
  . Fixed bug #77047 (pg_convert has a broken regex for the 'TIME WITHOUT
    TIMEZONE' data type). (Andy Gajetzki)

- SOAP:
  . Fixed bug #76348 (WSDL_CACHE_MEMORY causes Segmentation fault). (cmb)
  . Fixed bug #77141 (Signedness issue in SOAP when precision=-1). (cmb)

- Sockets:
  . Fixed bug #67619 (Validate length on socket_write). (thiagooak)

08 Nov 2018, PHP 7.1.24

- Core:
  . Fixed bug #76946 (Cyclic reference in generator not detected). (Nikita)
  . Fixed bug #77035 (The phpize and ./configure create redundant .deps file).
    (Peter Kokot)
  . Fixed bug #77041 (buildconf should output error messages to stderr)
    (Mizunashi Mana)

- Date:
  . Fixed bug #75851 (Year component overflow with date formats "c", "o", "r"
    and "y"). (Adam Saponara)

- FCGI:
  . Fixed bug #76948 (Failed shutdown/reboot or end session in Windows).
    (Anatol)
  . Fixed bug #76954 (apache_response_headers removes last character from header
    name). (stodorovic)

- FTP:
  . Fixed bug #76972 (Data truncation due to forceful ssl socket shutdown).
    (Manuel Mausz)

- intl:
  . Fixed bug #76942 (U_ARGUMENT_TYPE_MISMATCH). (anthrax at unixuser dot org)

- Fileinfo:
  . Fixed bug #77961 (finfo_open crafted magic parsing SIGABRT). (cmb)

- Standard:
  . Fixed bug #76965 (INI_SCANNER_RAW doesn't strip trailing whitespace).
    (Pierrick)

- Standard:
  . Fixed bug #80366 (Return Value of zend_fstat() not Checked). (sagpant, cmb)
  . Fixed bug #80411 (References to null-serialized object break serialize()).
    (Nikita)

- Tidy:
  . Fixed bug #77027 (tidy::getOptDoc() not available on Windows). (cmb)

- XML:
  . Fixed bug #30875 (xml_parse_into_struct() does not resolve entities). (cmb)
  . Add support for getting SKIP_TAGSTART and SKIP_WHITE options. (cmb)

11 Oct 2018, PHP 7.1.23

- Core:
  . Fixed bug #76901 (method_exists on SPL iterator passthrough method corrupts
    memory). (Nikita)
  . Fixed bug #76846 (Segfault in shutdown function after memory limit error).
    (Nikita)

- CURL:
  . Fixed bug #76480 (Use curl_multi_wait() so that timeouts are respected).
    (Pierrick)

- iconv:
  . Fixed bug #66828 (iconv_mime_encode Q-encoding longer than it should be).
    (cmb)

- Opcache:
  . Fixed bug #76832 (ZendOPcache.MemoryBase periodically deleted by the OS).
    (Anatol)

- POSIX:
  . Fixed bug #75696 (posix_getgrnam fails to print details of group). (cmb)

- Reflection:
  . Fixed bug #74454 (Wrong exception being thrown when using ReflectionMethod).
    (cmb)

- Standard:
  . Fixed bug #73457 (Wrong error message when fopen FTP wrapped fails to open
    data connection). (Ville Hukkamäki)
  . Fixed bug #74764 (Bindto IPv6 works with file_get_contents but fails with
    stream_socket_client). (Ville Hukkamäki)
  . Fixed bug #75533 (array_reduce is slow when $carry is large array).
    (Manabu Matsui)

- Zlib:
  . Fixed bug #75273 (php_zlib_inflate_filter() may not update bytes_consumed).
    (Martin Burke, cmb)

13 Sep 2018, PHP 7.1.22

- Core:
  . Fixed bug #76754 (parent private constant in extends class memory leak).
    (Laruence)
  . Fixed bug #72443 (Generate enabled extension). (petk)

- Bz2:
  . Fixed arginfo for bzcompress. (Tyson Andre)

- gettext:
  . Fixed bug #76517 (incorrect restoring of LDFLAGS). (sji)

- iconv:
  . Fixed bug #68180 (iconv_mime_decode can return extra characters in a
    header). (cmb)
  . Fixed bug #63839 (iconv_mime_decode_headers function is skipping headers).
    (cmb)
  . Fixed bug #60494 (iconv_mime_decode does ignore special characters). (cmb)
  . Fixed bug #55146 (iconv_mime_decode_headers() skips some headers). (cmb)

- intl:
  . Fixed bug #74484 (MessageFormatter::formatMessage memory corruption with
    11+ named placeholders). (Anatol)

- libxml:
  . Fixed bug #76777 ("public id" parameter of libxml_set_external_entity_loader
    callback undefined). (Ville Hukkamäki)

- mbstring:
  . Fixed bug #76704 (mb_detect_order return value varies based on argument
    type). (cmb)

- Opcache:
  . Fixed bug #76747 (Opcache treats path containing "test.pharma.tld" as a phar
    file). (Laruence)

- OpenSSL:
  . Fixed bug #76705 (unusable ssl => peer_fingerprint in
    stream_context_create()). (Jakub Zelenka)

- phpdbg:
  . Fixed bug #76595 (phpdbg man page contains outdated information).
    (Kevin Abel)

- SPL:
  . Fixed bug #68825 (Exception in DirectoryIterator::getLinkTarget()). (cmb)
  . Fixed bug #68175 (RegexIterator pregFlags are NULL instead of 0). (Tim
    Siebels)

- Standard:
  . Fixed bug #76778 (array_reduce leaks memory if callback throws exception).
    (cmb)

- zlib:
  . Fixed bug #65988 (Zlib version check fails when an include/zlib/ style dir
    is passed to the --with-zlib configure option). (Jay Bonci)
  . Fixed bug #76709 (Minimal required zlib library is 1.2.0.4). (petk)

16 Aug 2018, PHP 7.1.21

- Calendar:
  . Fixed bug #52974 (jewish.c: compile error under Windows with GBK charset).
    (cmb)

- Filter:
  . Fixed bug #76366 (References in sub-array for filtering breaks the filter).
    (ZiHang Gao)

- PDO_Firebird:
  . Fixed bug #76488 (Memory leak when fetching a BLOB field). (Simonov Denis)

- PDO_PgSQL:
  . Fixed bug #75402 (Possible Memory Leak using PDO::CURSOR_SCROLL option).
    (Anatol)

- SQLite3:
  . Fixed #76665 (SQLite3Stmt::bindValue() with SQLITE3_FLOAT doesn't juggle).
    (cmb)

- Standard:
  . Fixed bug #68553 (array_column: null values in $index_key become incrementing
    keys in result). (Laruence)
  . Fixed bug #73817 (Incorrect entries in get_html_translation_table). (cmb)
  . Fixed bug #76643 (Segmentation fault when using `output_add_rewrite_var`).
    (cmb)

- Zip:
  . Fixed bug #76524 (ZipArchive memory leak (OVERWRITE flag and empty archive)).
    (Timur Ibragimov)

07 Jul 2018, PHP 7.1.20

- Core:
  . Fixed bug #76534 (PHP hangs on 'illegal string offset on string references
    with an error handler). (Laruence)
  . Fixed bug #76502 (Chain of mixed exceptions and errors does not serialize
    properly). (Nikita)

- Date:
  . Fixed bug #76462 (Undefined property: DateInterval::$f). (Anatol)

- FPM:
  . Fixed bug #73342 (Vulnerability in php-fpm by changing stdin to
    non-blocking). (Nikita)

- GMP:
  . Fixed bug #74670 (Integer Underflow when unserializing GMP and possible
    other classes). (Nikita)

- intl:
  . Fixed bug #76556 (get_debug_info handler for BreakIterator shows wrong
    type). (cmb)

- mbstring:
  . Fixed bug #76532 (Integer overflow and excessive memory usage
    in mb_strimwidth). (MarcusSchwarz)

- PGSQL:
  . Fixed bug #76548 (pg_fetch_result did not fetch the next row). (Anatol)

- phpdbg:
  . Fix arginfo wrt. optional/required parameters. (cmb)

- Reflection:
  . Fixed bug #76536 (PHP crashes with core dump when throwing exception in
    error handler). (Laruence)
  . Fixed bug #75231 (ReflectionProperty#getValue() incorrectly works with
    inherited classes). (Nikita)

- Standard:
  . Fixed bug #76505 (array_merge_recursive() is duplicating sub-array keys).
    (Laruence)
  . Fixed bug #71848 (getimagesize with $imageinfo returns false). (cmb)

22 Jun 2018, PHP 7.1.19

- CLI Server:
  . Fixed bug #76333 (PHP built-in server does not find files if root path
    contains special characters). (Anatol)

- OpenSSL:
  . Fixed bug #76296 (openssl_pkey_get_public does not respect open_basedir).
    (Erik Lax, Jakub Zelenka)
  . Fixed bug #76174 (openssl extension fails to build with LibreSSL 2.7).
    (Jakub Zelenka)

- SPL:
  . Fixed bug #76367 (NoRewindIterator segfault 11). (Laruence)

- Standard:
  . Fixed bug #76335 ("link(): Bad file descriptor" with non-ASCII path).
    (Anatol)
  . Fixed bug #76383 (array_map on $GLOBALS returns IS_INDIRECT). (Bob)

24 May 2018, PHP 7.1.18

- FPM:
  . Fixed bug #76075 --with-fpm-acl wrongly tries to find libacl on FreeBSD.
    (mgorny)

- intl:
  . Fixed bug #74385 (Locale::parseLocale() broken with some arguments).
    (Anatol)

- Opcache:
  . Fixed bug #76205 (PHP-FPM sporadic crash when running Infinitewp). (Dmitry)
  . Fixed bug #76275 (Assertion failure in file cache when unserializing empty
    try_catch_array). (Nikita)
  . Fixed bug #76281 (Opcache causes incorrect "undefined variable" errors).
    (Nikita)

- Reflection:
  . Fixed arginfo for array_replace(_recursive) and array_merge(_recursive).
    (carusogabriel)


26 Apr 2018, PHP 7.1.17

- Date:
  . Fixed bug #76131 (mismatch arginfo for date_create). (carusogabriel)

- FPM:
  . Fixed bug #68440 (ERROR: failed to reload: execvp() failed: Argument list
    too long). (Jacob Hipps)
  . Fixed incorrect write to getenv result in FPM reload. (Jakub Zelenka)

- GD:
  . Fixed bug #52070 (imagedashedline() - dashed line sometimes is not visible).
    (cmb)

- intl:
  . Fixed bug #76153 (Intl compilation fails with icu4c 61.1). (Anatol)

- mbstring:
  . Fixed bug #75944 (Wrong cp1251 detection). (dmk001)
  . Fixed bug #76113 (mbstring does not build with Oniguruma 6.8.1).
    (chrullrich, cmb)

- phpdbg:
  . Fixed bug #76143 (Memory corruption: arbitrary NUL overwrite). (Laruence)

- SPL:
  . Fixed bug #76131 (mismatch arginfo for splarray constructor).
    (carusogabriel)

- standard:
  . Fixed bug #75996 (incorrect url in header for mt_rand). (tatarbj)

29 Mar 2018, PHP 7.1.16

- Core:
  . Fixed bug #76025 (Segfault while throwing exception in error_handler).
    (Dmitry, Laruence)
  . Fixed bug #76044 ('date: illegal option -- -' in ./configure on FreeBSD).
    (Anatol)

- FPM:
  . Fixed bug #75605 (Dumpable FPM child processes allow bypassing opcache
    access controls). (Jakub Zelenka)

- GD:
  . Fixed bug #73957 (signed integer conversion in imagescale()). (cmb)

- ODBC:
  . Fixed bug #76088 (ODBC functions are not available by default on Windows).
    (cmb)

- Opcache:
  . Fixed bug #76074 (opcache corrupts variable in for-loop). (Bob)

- Phar:
  . Fixed bug #76085 (Segmentation fault in buildFromIterator when directory
    name contains a \n). (Laruence)

- Standard:
  . Fixed bug #74139 (mail.add_x_header default inconsistent with docs). (cmb)
  . Fixed bug #76068 (parse_ini_string fails to parse "[foo]\nbar=1|>baz" with
    segfault). (Anatol)

01 Mar 2018, PHP 7.1.15

- Apache2Handler:
  . Fixed bug #75882 (a simple way for segfaults in threadsafe php just with
    configuration). (Anatol)

- Date:
  . Fixed bug #75857 (Timezone gets truncated when formatted). (carusogabriel)
  . Fixed bug #75928 (Argument 2 for `DateTimeZone::listIdentifiers()` should
    accept `null`). (Pedro Lacerda)
  . Fixed bug #68406 (calling var_dump on a DateTimeZone object modifies it).
    (jhdxr)

- FTP:
  . Fixed ftp_pasv arginfo. (carusogabriel)

-GD:
  . Fixed imagesetinterpolation arginfo. (Gabriel Caruso)

- iconv:
  . Fixed bug #75867 (Freeing uninitialized pointer). (Philip Prindeville)

- LDAP:
  . Fixed bug #49876 (Fix LDAP path lookup on 64-bit distros). (dzuelke)

- libxml2:
  . Fixed bug #75871 (use pkg-config where available). (pmmaga)

- mysqlnd
  . Fixed negotiation of MySQL authenticaton plugin. (Johannes)
  . Fixed a memleak with SSL connections. (Johannes)

- ODBC:
  . Fixed bug #73725 (Unable to retrieve value of varchar(max) type). (Anatol)

- Opcache:
  . Fixed bug #75969 (Assertion failure in live range DCE due to block pass
    misoptimization). (Nikita)

- OpenSSL:
  . Fixed openssl_* arginfos. (carusogabriel)

- PCNTL:
  . Fixed bug #75873 (pcntl_wexitstatus returns incorrect on Big_Endian platform
    (s390x)). (Sam Ding)

- PGSQL:
  . Fixed #75838 (Memory leak in pg_escape_bytea()). (ard_1 at mail dot ru)

- Phar:
  . Fixed bug #65414 (deal with leading slash when adding files correctly).
    (bishopb)

- SPL:
  . Fixed bug #74519 (strange behavior of AppendIterator). (jhdxr)

- Standard:
  . Fixed bug #75961 (Strange references behavior). (Laruence)
  . Fixed bug #75916 (DNS_CAA record results contain garbage). (Mike,
    Philip Sharp)
  . Fixed some arginfos. (carusogabriel)
  . Fixed bug #75981 (stack-buffer-overflow while parsing HTTP response). (Stas)

01 Feb 2018, PHP 7.1.14

- Core:
  . Fixed bug #75679 (Path 260 character problem). (Anatol)
  . Fixed bug #75786 (segfault when using spread operator on generator passed
    by reference). (Nikita)
  . Fixed bug #75799 (arg of get_defined_functions is optional). (carusogabriel)
  . Fixed bug #75396 (Exit inside generator finally results in fatal error).
    (Nikita)
  . Fixed bug #75079 (self keyword leads to incorrectly generated TypeError when
    in closure in trait). (Nikita)

- FCGI:
  . Fixed bug #75794 (getenv() crashes on Windows 7.2.1 when second parameter is
    false). (Anatol)

- IMAP:
  . Fixed bug #75774 (imap_append HeapCorruction). (Anatol)

- Mbstring:
  . Fixed bug #62545 (wrong unicode mapping in some charsets). (cmb)

- Opcache:
  . Fixed bug #75720 (File cache not populated after SHM runs full). (Dmitry)
  . Fixed bug #75579 (Interned strings buffer overflow may cause crash).
    (Dmitry)

- PGSQL:
  . Fixed bug #75671 (pg_version() crashes when called on a connection to
    cockroach). (magicaltux at gmail dot com)

- Readline:
  . Fixed bug #75775 (readline_read_history segfaults with empty file).
    (Anatol)

- SAPI:
  . Fixed bug #75735 ([embed SAPI] Segmentation fault in
    sapi_register_post_entry). (Laruence)

- SOAP:
  . Fixed bug #70469 (SoapClient generates E_ERROR even if exceptions=1 is
    used). (Anton Artamonov)
  . Fixed bug #75502 (Segmentation fault in zend_string_release). (Nikita)

- SPL:
  . Fixed bug #75717 (RecursiveArrayIterator does not traverse arrays by
    reference). (Nikita)
  . Fixed bug #75242 (RecursiveArrayIterator doesn't have constants from parent
    class). (Nikita)
  . Fixed bug #73209 (RecursiveArrayIterator does not iterate object
    properties). (Nikita)

- Standard:
   . Fixed bug #75781 (substr_count incorrect result). (Laruence)

04 Jan 2018, PHP 7.1.13

- Core:
  . Fixed bug #75573 (Segmentation fault in 7.1.12 and 7.0.26). (Laruence)
  . Fixed bug #75384 (PHP seems incompatible with OneDrive files on demand).
    (Anatol)
  . Fixed bug #74862 (Unable to clone instance when private __clone defined).
    (Daniel Ciochiu)
  . Fixed bug #75074 (php-process crash when is_file() is used with strings
    longer 260 chars). (Anatol)
  . Fixed bug #69727 (Remove timestamps from build to make it reproducible).
    (jelle van der Waa)

- CLI Server:
  . Fixed bug #60471 (Random "Invalid request (unexpected EOF)" using a router
    script). (SammyK)
  . Fixed bug #73830 (Directory does not exist). (Anatol)

- FPM:
  . Fixed bug #64938 (libxml_disable_entity_loader setting is shared between
    requests). (Remi)

- GD:
  . Fixed bug #75571 (Potential infinite loop in gdImageCreateFromGifCtx).
    (Christoph)

- Opcache:
  . Fixed bug #75608 ("Narrowing occurred during type inference" error).
    (Laruence, Dmitry)
  . Fixed bug #75570 ("Narrowing occurred during type inference" error).
    (Dmitry)
  . Fixed bug #75579 (Interned strings buffer overflow may cause crash).
    (Dmitry)

- PCRE:
  . Fixed bug #74183 (preg_last_error not returning error code after error).
    (Andrew Nester)

- Phar:
  . Fixed bug #74782 (remove file name from output to avoid XSS). (stas)

- Standard:
  . Fixed bug #75511 (fread not free unused buffer). (Laruence)
  . Fixed bug #75514 (mt_rand returns value outside [$min,$max]+ on 32-bit)
    (Remi)
  . Fixed bug #75535 (Inappropriately parsing HTTP response leads to PHP
    segment fault). (Nikita)
  . Fixed bug #75409 (accept EFAULT in addition to ENOSYS as indicator
    that getrandom() is missing). (sarciszewski)
  . Fixed bug #73124 (php_ini_scanned_files() not reporting correctly).
    (John Stevenson)
  . Fixed bug #75574 (putenv does not work properly if parameter contains
    non-ASCII unicode character). (Anatol)

- Zip:
  . Fixed bug #75540 (Segfault with libzip 1.3.1). (Remi)

23 Nov 2017, PHP 7.1.12

- Core:
  . Fixed bug #75420 (Crash when modifing property name in __isset for
    BP_VAR_IS). (Laruence)
  . Fixed bug #75368 (mmap/munmap trashing on unlucky allocations). (Nikita,
    Dmitry)

- CLI:
  . Fixed bug #75287 (Builtin webserver crash after chdir in a shutdown
    function). (Laruence)

- Enchant:
  . Fixed bug #53070 (enchant_broker_get_path crashes if no path is set). (jelle
    van der Waa, cmb)
  . Fixed bug #75365 (Enchant still reports version 1.1.0). (cmb)

- Exif:
  . Fixed bug #75301 (Exif extension has built in revision version). (Peter
    Kokot)

- GD:
  . Fixed bug #65148 (imagerotate may alter image dimensions). (cmb)
  . Fixed bug #75437 (Wrong reflection on imagewebp). (Fabien Villepinte)

- intl:
  . Fixed bug #75317 (UConverter::setDestinationEncoding changes source instead
    of destination). (andrewnester)

- interbase:
  . Fixed bug #75453 (Incorrect reflection for ibase_[p]connect). (villfa)

- Mysqli:
  . Fixed bug #75434 (Wrong reflection for mysqli_fetch_all function). (Fabien
    Villepinte)

- MBString:
  . Fixed bug #77367 (Negative size parameter in mb_split). (Stas)

- OCI8:
  . Fixed valgrind issue. (Tianfang Yang)

- OpenSSL:
  . Fixed bug #75363 (openssl_x509_parse leaks memory). (Bob, Jakub Zelenka)
  . Fixed bug #75307 (Wrong reflection for openssl_open function). (villfa)

- Opcache:
  . Fixed bug #75373 (Warning Internal error: wrong size calculation). (Laruence, Dmitry)

- PGSQL:
  . Fixed bug #75419 (Default link incorrectly cleared/linked by pg_close()). (Sara)

- SOAP:
  . Fixed bug #75464 (Wrong reflection on SoapClient::__setSoapHeaders). (villfa)

- Zlib:
  . Fixed bug #75299 (Wrong reflection on inflate_init and inflate_add). (Fabien
    Villepinte)

26 Oct 2017, PHP 7.1.11

- Core:
  . Fixed bug #75241 (Null pointer dereference in zend_mm_alloc_small()).
    (Laruence)
  . Fixed bug #75236 (infinite loop when printing an error-message). (Andrea)
  . Fixed bug #75252 (Incorrect token formatting on two parse errors in one
    request). (Nikita)
  . Fixed bug #75220 (Segfault when calling is_callable on parent).
    (andrewnester)
  . Fixed bug #75290 (debug info of Closures of internal functions contain
    garbage argument names). (Andrea)

- Apache2Handler:
  . Fixed bug #75311 (error: 'zend_hash_key' has no member named 'arKey' in
    apache2handler). (mcarbonneaux)

- Date:
  . Fixed bug #75055 (Out-Of-Bounds Read in timelib_meridian()). (Derick)

- Hash:
  . Fixed bug #75303 (sha3 hangs on bigendian). (Remi)

- Intl:
  . Fixed bug #75318 (The parameter of UConverter::getAliases() is not
    optional). (cmb)

- litespeed:
  . Fixed bug #75248 (Binary directory doesn't get created when building
    only litespeed SAPI). (petk)
  . Fixed bug #75251 (Missing program prefix and suffix). (petk)

- mcrypt:
  . Fixed bug #72535 (arcfour encryption stream filter crashes php). (Leigh)

- MySQLi:
  . Fixed bug #75018 (Data corruption when reading fields of bit type). (Anatol)

- OCI8:
  . Fixed incorrect reference counting. (Dmitry, Tianfang Yang)

- Opcache
  . Fixed bug #75255 (Request hangs and not finish). (Dmitry)

- PCRE:
  . Fixed bug #75207 (applied upstream patch for CVE-2016-1283). (Anatol)

- PDO_mysql:
  . Fixed bug #75177 (Type 'bit' is fetched as unexpected string). (Anatol)

- SPL:
  . Fixed bug #73629 (SplDoublyLinkedList::setIteratorMode masks intern flags).
    (J. Jeising, cmb)

28 Sep 2017, PHP 7.1.10

- Core:
  . Fixed bug #75042 (run-tests.php issues with EXTENSION block). (John Boehr)

- BCMath:
  . Fixed bug #44995 (bcpowmod() fails if scale != 0). (cmb)
  . Fixed bug #46781 (BC math handles minus zero incorrectly). (cmb)
  . Fixed bug #54598 (bcpowmod() may return 1 if modulus is 1). (okano1220, cmb)
  . Fixed bug #75178 (bcpowmod() misbehaves for non-integer base or modulus). (cmb)

- CLI server:
  . Fixed bug #70470 (Built-in server truncates headers spanning over TCP
    packets). (bouk)

- CURL:
  . Fixed bug #75093 (OpenSSL support not detected). (Remi)

- GD:
  . Fixed bug #75124 (gdImageGrayScale() may produce colors). (cmb)
  . Fixed bug #75139 (libgd/gd_interpolation.c:1786: suspicious if ?). (cmb)

- Gettext:
  . Fixed bug #73730 (textdomain(null) throws in strict mode). (cmb)

- Intl:
  . Fixed bug #75090 (IntlGregorianCalendar doesn't have constants from parent
    class). (tpunt)
  . Fixed bug #75193 (segfault in collator_convert_object_to_string). (Remi)

- PDO_OCI:
  . Fixed bug #74631 (PDO_PCO with PHP-FPM: OCI environment initialized
    before PHP-FPM sets it up). (Ingmar Runge)

- SPL:
  . Fixed bug #75155 (AppendIterator::append() is broken when appending another
    AppendIterator). (Nikita)
  . Fixed bug #75173 (incorrect behavior of AppendIterator::append in foreach loop).
    (jhdxr)

- Standard:
  . Fixed bug #75152 (signed integer overflow in parse_iv). (Laruence)
  . Fixed bug #75097 (gethostname fails if your host name is 64 chars long). (Andrea)

31 Aug 2017, PHP 7.1.9

- Core:
  . Fixed bug #74947 (Segfault in scanner on INF number). (Laruence)
  . Fixed bug #74954 (null deref and segfault in zend_generator_resume()). (Bob)
  . Fixed bug #74725 (html_errors=1 breaks unhandled exceptions). (Andrea)
  . Fixed bug #75063 (Main CWD initialized with wrong codepage). (Anatol)
  . Fixed bug #75349 (NAN comparison). (Sara)

- cURL:
  . Fixed bug #74125 (Fixed finding CURL on systems with multiarch support).
    (cebe)

- Date:
  . Fixed bug #75002 (Null Pointer Dereference in timelib_time_clone). (Derick)

- Intl:
  . Fixed bug #74993 (Wrong reflection on some locale_* functions). (Sara)

- Mbstring:
  . Fixed bug #71606 (Segmentation fault mb_strcut with HTML-ENTITIES encoding).
    (cmb)
  . Fixed bug #62934 (mb_convert_kana() does not convert iteration marks).
    (Nikita)
  . Fixed bug #75001 (Wrong reflection on mb_eregi_replace). (Fabien
    Villepinte)

- MySQLi:
  . Fixed bug #74968 (PHP crashes when calling mysqli_result::fetch_object with
    an abstract class). (Anatol)

- OCI8:
  . Expose oci_unregister_taf_callback() (Tianfang Yang)

- Opcache:
  . Fixed bug #74980 (Narrowing occurred during type inference). (Laruence)

- phar:
  . Fixed bug #74991 (include_path has a 4096 char limit in some cases).
    (bwbroersma)

- Reflection:
  . Fixed bug #74949 (null pointer dereference in _function_string). (Laruence)

- Session:
  . Fixed bug #74892 (Url Rewriting (trans_sid) not working on urls that start
    with "#"). (Andrew Nester)
  . Fixed bug #74833 (SID constant created with wrong module number). (Anatol)

- SimpleXML:
  . Fixed bug #74950 (nullpointer deref in simplexml_element_getDocNamespaces).
    (Laruence)

- SPL:
  . Fixed bug #75049 (spl_autoload_unregister can't handle
    spl_autoload_functions results). (Laruence)
  . Fixed bug #74669 (Unserialize ArrayIterator broken). (Andrew Nester)
  . Fixed bug #74977 (Appending AppendIterator leads to segfault).
    (Andrew Nester)
  . Fixed bug #75015 (Crash in recursive iterator destructors). (Julien)

- Standard:
  . Fixed bug #75075 (unpack with X* causes infinity loop). (Laruence)
  . Fixed bug #74103 (heap-use-after-free when unserializing invalid array
    size). (Nikita)
  . Fixed bug #75054 (A Denial of Service Vulnerability was found when
    performing deserialization). (Nikita)

- WDDX:
  . Fixed bug #73793 (WDDX uses wrong decimal seperator). (cmb)

- XMLRPC:
  . Fixed bug #74975 (Incorrect xmlrpc serialization for classes with declared
    properties). (blar)

03 Aug 2017, PHP 7.1.8

- Core:
  . Fixed bug #74832 (Loading PHP extension with already registered function
    name leads to a crash). (jpauli)
  . Fixed bug #74780 (parse_url() broken when query string contains colon).
    (jhdxr)
  . Fixed bug #74761 (Unary operator expected error on some systems). (petk)
  . Fixed bug #73900 (Use After Free in unserialize() SplFixedArray). (nikic)
  . Fixed bug #74923 (Crash when crawling through network share). (Anatol)
  . Fixed bug #74913 (fixed incorrect poll.h include). (petk)
  . Fixed bug #74906 (fixed incorrect errno.h include). (petk)

- Date:
  . Fixed bug #74852 (property_exists returns true on unknown DateInterval
    property). (jhdxr)

- OCI8:
  . Fixed bug #74625 (Integer overflow in oci_bind_array_by_name). (Ingmar Runge)

- Opcache:
  . Fixed bug #74623 (Infinite loop in type inference when using HTMLPurifier).
    (nikic)

- OpenSSL:
 . Fixed bug #74798 (pkcs7_en/decrypt does not work if \x0a is used in content).
   (Anatol)
 . Added OPENSSL_DONT_ZERO_PAD_KEY constant to prevent key padding and fix bug
   #71917 (openssl_open() returns junk on envelope < 16 bytes) and bug #72362
   (OpenSSL Blowfish encryption is incorrect for short keys). (Jakub Zelenka)

- PDO:
  . Fixed bug #69356 (PDOStatement::debugDumpParams() truncates query). (Adam
    Baratz)

- SPL:
  . Fixed bug #73471 (PHP freezes with AppendIterator). (jhdxr)

- SQLite3:
  . Fixed bug #74883 (SQLite3::__construct() produces "out of memory" exception
    with invalid flags). (Anatol)

- Wddx:
  . Fixed bug #73173 (huge memleak when wddx_unserialize).
    (tloi at fortinet dot com)

- zlib:
  . Fixed bug #73944 (dictionary option of inflate_init() does not work).
    (wapmorgan)

06 Jul 2017, PHP 7.1.7

- Core:
  . Fixed bug #74738 (Multiple [PATH=] and [HOST=] sections not properly
    parsed). (Manuel Mausz)
  . Fixed bug #74658 (Undefined constants in array properties result in broken
    properties). (Laruence)
  . Fixed misparsing of abstract unix domain socket names. (Sara)
  . Fixed bug #74603 (PHP INI Parsing Stack Buffer Overflow Vulnerability).
    (Stas)
  . Fixed bug #74101, bug #74614 (Unserialize Heap Use-After-Free (READ: 1) in
    zval_get_type). (Nikita)
  . Fixed bug #74111 (Heap buffer overread (READ: 1) finish_nested_data from
    unserialize). (Nikita)
  . Fixed bug #74819 (wddx_deserialize() heap out-of-bound read via
    php_parse_date()). (Derick)

- Date:
  . Fixed bug #74639 (implement clone for DatePeriod and DateInterval).
    (andrewnester)

- DOM:
  . Fixed bug #69373 (References to deleted XPath query results). (ttoohey)

- GD:
  . Fixed bug #74435 (Buffer over-read into uninitialized memory). (cmb)

- Intl:
  . Fixed bug #73473 (Stack Buffer Overflow in msgfmt_parse_message). (libnex)
  . Fixed bug #74705 (Wrong reflection on Collator::getSortKey and
    collator_get_sort_key). (Tyson Andre, Remi)

- Mbstring:
  . Add oniguruma upstream fix (CVE-2017-9224, CVE-2017-9226, CVE-2017-9227,
    CVE-2017-9228, CVE-2017-9229) (Remi, Mamoru TASAKA)

- OCI8:
  . Add TAF callback (PR #2459). (KoenigsKind)

- Opcache:
  . Fixed bug #74663 (Segfault with opcache.memory_protect and
    validate_timestamp). (Laruence)
  . Revert opcache.enable_cli to default disabled. (Nikita)

- OpenSSL:
  . Fixed bug #74720 (pkcs7_en/decrypt does not work if \x1a is used in
    content). (Anatol)
  . Fixed bug #74651 (negative-size-param (-1) in memcpy in zif_openssl_seal()).
    (Stas)

- PDO_OCI:
  . Support Instant Client 12.2 in --with-pdo-oci configure option.
    (Tianfang Yang)

- Reflection:
  . Fixed bug #74673 (Segfault when cast Reflection object to string with
    undefined constant). (Laruence)

- SPL:
  . Fixed bug #74478 (null coalescing operator failing with SplFixedArray).
    (jhdxr)

- FTP:
  . Fixed bug #74598 (ftp:// wrapper ignores context arg). (Sara)

- PHAR:
  . Fixed bug #74386 (Phar::__construct reflection incorrect). (villfa)

- SOAP
  . Fixed bug #74679 (Incorrect conversion array with WSDL_CACHE_MEMORY).
    (Dmitry)

- Streams:
  . Fixed bug #74556 (stream_socket_get_name() returns '\0'). (Sara)

8 Jun 2017, PHP 7.1.6

- Core:
  . Fixed bug #74600 (crash (SIGSEGV) in _zend_hash_add_or_update_i).
    (Laruence)
  . Fixed bug #74546 (SIGILL in ZEND_FETCH_CLASS_CONSTANT_SPEC_CONST_CONST).
    (Laruence)
  . Fixed bug #74589 (__DIR__ wrong for unicode character). (Anatol)

- intl:
  . Fixed bug #74468 (wrong reflection on Collator::sortWithSortKeys). (villfa)

- MySQLi:
  . Fixed bug #74547 (mysqli::change_user() doesn't accept null as $database
    argument w/strict_types). (Anatol)

- Opcache:
  . Fixed bug #74596 (SIGSEGV with opcache.revalidate_path enabled). (Laruence)

- phar:
  . Fixed bug #51918 (Phar::webPhar() does not handle requests sent through PUT
    and DELETE method). (Christian Weiske)

- Readline:
  . Fixed bug #74490 (readline() moves the cursor to the beginning of the line).
    (Anatol)

- Standard:
  . Fixed bug #74510 (win32/sendmail.c anchors CC header but not BCC).
    (Damian Wadley, Anatol)

- xmlreader:
  . Fixed bug #74457 (Wrong reflection on XMLReader::expand). (villfa)

11 May 2017, PHP 7.1.5

- Core:
  . Fixed bug #74408 (Endless loop bypassing execution time limit). (Laruence)
  . Fixed bug #74353 (Segfault when killing within bash script trap code).
    (Laruence)
  . Fixed bug #74340 (Magic function __get has different behavior in php 7.1.x).
    (Nikita)
  . Fixed bug #74188 (Null coalescing operator fails for undeclared static
    class properties). (tpunt)
  . Fixed bug #74444 (multiple catch freezes in some cases). (David Matějka)
  . Fixed bug #74410 (stream_select() is broken on Windows Nanoserver).
    (Matt Ficken)
  . Fixed bug #74337 (php-cgi.exe crash on facebook callback).
    (Anton Serbulov)
  . Patch for bug #74216 was reverted. (Anatol)

- Date:
  . Fixed bug #74404 (Wrong reflection on DateTimeZone::getTransitions).
    (krakjoe)
  . Fixed bug #74080 (add constant for RFC7231 format datetime). (duncan3dc)

- DOM:
  . Fixed bug #74416 (Wrong reflection on DOMNode::cloneNode).
    (Remi, Fabien Villepinte)

- Fileinfo:
  . Fixed bug #74379 (syntax error compile error in libmagic/apprentice.c).
    (Laruence)

- GD:
  . Fixed bug #74343 (compile fails on solaris 11 with system gd2 library).
    (krakjoe)

- MySQLi:
  . Fixed bug #74432 (mysqli_connect adding ":3306" to $host if $port parameter
    not given). (Anatol)

- MySQLnd:
  . Fixed bug #74376 (Invalid free of persistent results on error/connection
    loss). (Yussuf Khalil)

- Intl:
  . Fixed bug #65683 (Intl does not support DateTimeImmutable). (Ben Scholzen)
  . Fixed bug #74298 (IntlDateFormatter->format() doesn't return
    microseconds/fractions). (Andrew Nester)
  . Fixed bug #74433 (wrong reflection for Normalizer methods). (villfa)
  . Fixed bug #74439 (wrong reflection for Locale methods). (villfa)

- Opcache:
  . Fixed bug #74456 (Segmentation error while running a script in CLI mode).
    (Laruence)
  . Fixed bug #74431 (foreach infinite loop). (Nikita)
  . Fixed bug #74442 (Opcached version produces a nested array). (Nikita)

- OpenSSL:
  . Fixed bug #73833 (null character not allowed in openssl_pkey_get_private).
    (Jakub Zelenka)
  . Fixed bug #73711 (Segfault in openssl_pkey_new when generating DSA or DH
    key). (Jakub Zelenka)
  . Fixed bug #74341 (openssl_x509_parse fails to parse ASN.1 UTCTime without
    seconds). (Moritz Fain)
  . Fixed bug #73808 (iv length warning too restrictive for aes-128-ccm).
    (Jakub Zelenka)

- phar:
  . Fixed bug #74383 (phar method parameters reflection correction).
    (mhagstrand)

- Readline:
  . Fixed bug #74489 (readline() immediately returns false in interactive
    console mode). (Anatol)

- Standard:
  . Fixed bug #72071 (setcookie allows max-age to be negative). (Craig Duncan)
  . Fixed bug #74361 (Compaction in array_rand() violates COW). (Nikita)

- Streams:
  . Fixed bug #74429 (Remote socket URI with unique persistence identifier
    broken). (Sara)

13 Apr 2017, PHP 7.1.4

- Core:
  . Fixed bug #74149 (static embed SAPI linkage error). (krakjoe)
  . Fixed bug #73370 (falsely exits with "Out of Memory" when using
    USE_ZEND_ALLOC=0). (Nikita)
  . Fixed bug #73960 (Leak with instance method calling static method with
    referenced return). (Nikita)
  . Fixed bug #69676 (Resolution of self::FOO in class constants not correct).
    (Nikita)
  . Fixed bug #74265 (Build problems after 7.0.17 release: undefined reference
    to `isfinite'). (Nikita)
  . Fixed bug #74302 (yield fromLABEL is over-greedy). (Sara)

- Apache:
  . Reverted patch for bug #61471, fixes bug #74318. (Anatol)

- Date:
  . Fixed bug #72096 (Swatch time value incorrect for dates before 1970). (mcq8)

- DOM:
  . Fixed bug #74004 (LIBXML_NOWARNING flag ingnored on loadHTML*).
    (somedaysummer)

- iconv:
  . Fixed bug #74230 (iconv fails to fail on surrogates). (Anatol)

- OCI8:
  . Fixed uninitialized data causing random crash. (Dmitry)

- Opcache:
  . Fixed bug #74250 (OPcache compilation performance regression in PHP 5.6/7
    with huge classes). (Nikita)

- OpenSSL:
  . Fixed bug #72333 (fwrite() on non-blocking SSL sockets doesn't work).
    (Jakub Zelenka)

- PDO MySQL:
  . Fixed bug #71003 (Expose MYSQLI_CLIENT_SSL_DONT_VERIFY_SERVER_CERT to PDO
    interface). (Thomas Orozco)

- SPL:
  . Fixed bug #74058 (ArrayObject can not notice changes). (Andrew Nester)

- Sqlite:
  . Implemented FR #74217 (Allow creation of deterministic sqlite functions).
    (Andrew Nester)

- Streams:
  . Fixed bug #74216 (Correctly fail on invalid IP address ports). (Sara)

- Zlib:
  . Fixed bug #74240 (deflate_add can allocate too much memory). (Matt Bonneau)

16 Mar 2017, PHP 7.1.3

- Core:
  . Fixed bug #74157 (Segfault with nested generators). (Laruence)
  . Fixed bug #74164 (PHP hangs when an invalid value is dynamically passed to
    typehinted by-ref arg). (Laruence)
  . Fixed bug #74093 (Maximum execution time of n+2 seconds exceed not written
    in error_log). (Laruence)
  . Fixed bug #73989 (PHP 7.1 Segfaults within Symfony test suite).
    (Dmitry, Laruence)
  . Fixed bug #74084 (Out of bound read - zend_mm_alloc_small). (Laruence)
  . Fixed bug #73807 (Performance problem with processing large post request).
    (Nikita)
  . Fixed bug #73998 (array_key_exists fails on arrays created by
    get_object_vars). (mhagstrand)
  . Fixed bug #73954 (NAN check fails on Alpine Linux with musl). (Andrea)
  . Fixed bug #73677 (Generating phar.phar core dump with gcc ASAN enabled
    build). (ondrej)

- Apache:
  . Fixed bug #61471 (Incomplete POST does not timeout but is passed to PHP).
    (Zheng Shao)

- Date:
  . Fixed bug #73837 ("new DateTime()" sometimes returns 1 second ago value).
    (Derick)

- FPM:
  . Fixed bug #69860 (php-fpm process accounting is broken with keepalive).
    (Denis Yeldandi)

- Hash:
  . Fixed bug #73127 (gost-crypto hash incorrect if input data contains long
    0xFF sequence). (Grundik)

- GD:
  . Fixed bug #74031 (ReflectionFunction for imagepng is missing last two
    parameters). (finwe)

- Mysqlnd:
  . Fixed bug #74021 (fetch_array broken data. Data more then MEDIUMBLOB).
    (Andrew Nester, Nikita)

- Opcache:
  . Fixed bug #74152 (if statement says true to a null variable). (Laruence)
  . Fixed bug #74019 (Segfault with list). (Laruence)

- OpenSSL:
  . Fixed bug #74022 (PHP Fast CGI crashes when reading from a pfx file).
    (Anatol)
  . Fixed bug #74099 (Memory leak with openssl_encrypt()). (Andrew Nester)
  . Fixed bug #74159 (Writing a large buffer to a non-blocking encrypted stream
    fails with "bad write retry"). (trowski)

- PDO_OCI:
  . Fixed bug #54379 (PDO_OCI: UTF-8 output gets truncated). (gureedo / Oracle)

- SQLite3:
  . Fixed bug #74413 (incorrect reflection for SQLite3::enableExceptions).
    (krakjoe)

- Standard:
  . Fixed bug #74005 (mail.add_x_header causes RFC-breaking lone line feed).
    (Anatol)
  . Fixed bug #74041 (substr_count with length=0 broken). (Nikita)
  . Fixed bug #73118 (is_callable callable name reports misleading value for
    anonymous classes). (Adam Saponara)
  . Fixed bug #74105 (PHP on Linux should use /dev/urandom when getrandom is
    not available). (Benjamin Robin)
  . Fixed bug #74708 (Invalid Reflection signatures for random_bytes and
    random_int). (Tyson Andre, Remi)

- Streams:
  . Fixed bug #73496 (Invalid memory access in zend_inline_hash_func).
    (Laruence)
  . Fixed bug #74090 (stream_get_contents maxlength>-1 returns empty string).
    (Anatol)

16 Feb 2017, PHP 7.1.2

- Core:
  . Improved GENERATOR_CREATE opcode handler. (Bob, Dmitry)
  . Fixed bug #73877 (readlink() returns garbage for UTF-8 paths). (Anatol)
  . Fixed bug #73876 (Crash when exporting **= in expansion of assign op).
    (Sara)
  . Fixed bug #73962 (bug with symlink related to cyrillic directory). (Anatol)
  . Fixed bug #73969 (segfault in debug_print_backtrace). (andrewnester)
  . Fixed bug #73994 (arginfo incorrect for unpack). (krakjoe)
  . Fixed bug #73973 (assertion error in debug_zval_dump). (andrewnester)

- DOM:
  . Fixed bug #54382 (getAttributeNodeNS doesn't get xmlns* attributes).
    (aboks)

- DTrace:
  . Fixed bug #73965 (DTrace reported as enabled when disabled). (Remi)

- FCGI:
  . Fixed bug #73904 (php-cgi fails to load -c specified php.ini file). (Anatol)
  . Fixed bug #72898 (PHP_FCGI_CHILDREN is not included in phpinfo()). (Anatol)

- FPM:
  . Fixed bug #69865 (php-fpm does not close stderr when using syslog).
    (m6w6)

- GD:
  . Fixed bug #73968 (Premature failing of XBM reading). (cmb)

- GMP:
  . Fixed bug #69993 (test for gmp.h needs to test machine includes).
    (Jordan Gigov)

- Hash:
  . Added hash_hkdf() function. (Andrey Andreev)
  . Fixed bug #73961 (environmental build dependency in hash sha3 source).
    (krakjoe)

- Intl:
  . Fix bug #73956 (Link use CC instead of CXX). (Remi)

- LDAP:
  . Fixed bug #73933 (error/segfault with ldap_mod_replace and opcache).
    (Laruence)

- MySQLi:
  . Fixed bug #73949 (leak in mysqli_fetch_object). (krakjoe)

- Mysqlnd:
  . Fixed bug #69899 (segfault on close() after free_result() with mysqlnd).
    (Richard Fussenegger)

- Opcache:
  . Fixed bug #73983 (crash on finish work with phar in cli + opcache).
    (Anatol)

- OpenSSL:
  . Fixed bug #71519 (add serial hex to return value array). (xrobau)
  . Fixed bug #73692 (Compile ext/openssl with openssl 1.1.0 on Win). (Anatol)
  . Fixed bug #73978 (openssl_decrypt triggers bug in PDO). (Jakub Zelenka)

- PDO_Firebird:
  . Implemented FR #72583 (All data are fetched as strings). (Dorin Marcoci)

- PDO_PgSQL:
  . Fixed bug #73959 (lastInsertId fails to throw an exception for wrong
    sequence name). (andrewnester)

- Phar:
  . Fixed bug #70417 (PharData::compress() doesn't close temp file). (cmb)

- posix:
  . Fixed bug #71219 (configure script incorrectly checks for ttyname_r). (atoh)

- Session:
  . Fixed bug #69582 (session not readable by root in CLI). (EvgeniySpinov)

- SPL:
  . Fixed bug #73896 (spl_autoload() crashes when calls magic _call()). (Dmitry)

- Standard:
  . Fixed bug #69442 (closing of fd incorrect when PTS enabled). (jaytaph)
  . Fixed bug #47021 (SoapClient stumbles over WSDL delivered with
    "Transfer-Encoding: chunked"). (Rowan Collins)
  . Fixed bug #72974 (imap is undefined service on AIX). (matthieu.sarter)
  . Fixed bug #72979 (money_format stores wrong length AIX). (matthieu.sarter)
  . Fixed bug #73374 (intval() with base 0 should detect binary). (Leigh)
  . Fixed bug #69061 (mail.log = syslog contains double information).
    (Tom Sommer)

- ZIP:
  . Fixed bug #70103 (ZipArchive::addGlob ignores remove_all_path option). (cmb,
    Mitch Hagstrand)

19 Jan 2017, PHP 7.1.1

- Core:
  . Fixed bug #73792 (invalid foreach loop hangs script). (Dmitry)
  . Fixed bug #73686 (Adding settype()ed values to ArrayObject results in
    references). (Nikita, Laruence)
  . Fixed bug #73663 ("Invalid opcode 65/16/8" occurs with a variable created
    with list()). (Laruence)
  . Fixed bug #73727 (ZEND_MM_BITSET_LEN is "undefined symbol" in
    zend_bitset.h). (Nikita)
  . Fixed bug #73753 (unserialized array pointer not advancing). (David Walker)
  . Fixed bug #73783 (SIG_IGN doesn't work when Zend Signals is enabled).
    (David Walker)

- CLI:
  . Fixed bug #72555 (CLI output(japanese) on Windows). (Anatol)

- COM:
  . Fixed bug #73679 (DOTNET read access violation using invalid codepage).
    (Anatol)

- DOM:
  . Fixed bug #67474 (getElementsByTagNameNS filter on default ns). (aboks)

- Mbstring:
  . Fixed bug #73646 (mb_ereg_search_init null pointer dereference).
    (Laruence)

- Mysqli:
  . Fixed bug #73462 (Persistent connections don't set $connect_errno).
    (darkain)

- Mysqlnd:
  . Optimized handling of BIT fields - less memory copies and lower memory
    usage. (Andrey)
  . Fixed bug #73800 (sporadic segfault with MYSQLI_OPT_INT_AND_FLOAT_NATIVE).
	(vanviegen)

- Opcache:
  . Fixed bug #73789 (Strange behavior of class constants in switch/case block).
    (Laruence)
  . Fixed bug #73746 (Method that returns string returns UNKNOWN:0 instead).
    (Laruence)
  . Fixed bug #73654 (Segmentation fault in zend_call_function). (Nikita)
  . Fixed bug #73668 ("SIGFPE Arithmetic exception" in opcache when divide by
    minus 1). (Nikita)
  . Fixed bug #73847 (Recursion when a variable is redefined as array). (Nikita)

- PDO_Firebird:
  . Fixed bug #72931 (PDO_FIREBIRD with Firebird 3.0 not work on returning
    statement). (Dorin Marcoci)

- phpdbg:
  . Fixed bug #73794 (Crash (out of memory) when using run and # command
    separator). (Bob)
  . Fixed bug #73704 (phpdbg shows the wrong line in files with shebang). (Bob)

- SQLite3:
  . Reverted fix for bug #73530	(Unsetting result set may reset other result
    set). (cmb)

- Standard:
  . Fixed bug #73594 (dns_get_record does not populate $additional out
    parameter). (Bruce Weirdan)
  . Fixed bug #70213 (Unserialize context shared on double class lookup).
    (Taoguang Chen)
  . Fixed bug #73154 (serialize object with __sleep function crash). (Nikita)
  . Fixed bug #70490 (get_browser function is very slow). (Nikita)
  . Fixed bug #73265 (Loading browscap.ini at startup causes high memory usage).
    (Nikita)
  . Add subject to mail log. (tomsommer)
  . Fixed bug #31875 (get_defined_functions additional param to exclude
	disabled functions). (willianveiga)

- Zlib
  . Fixed bug #73373 (deflate_add does not verify that output was not truncated).
    (Matt Bonneau)

01 Dec 2016, PHP 7.1.0

- Core:
  . Added nullable types. (Levi, Dmitry)
  . Added DFA optimization framework based on e-SSA form. (Dmitry, Nikita)
  . Added specialized opcode handlers (e.g. ZEND_ADD_LONG_NO_OVERFLOW).
    (Dmitry)
  . Added [] = as alternative construct to list() =. (Bob)
  . Added void return type. (Andrea)
  . Added support for negative string offsets in string offset syntax and
    various string functions. (Francois)
  . Added a form of the list() construct where keys can be specified. (Andrea)
  . Implemented safe execution timeout handling, that prevents random crashes
    after "Maximum execution time exceeded" error. (Dmitry)
  . Implemented the RFC `Support Class Constant Visibility`. (Sean DuBois,
    Reeze Xia, Dmitry)
  . Implemented the RFC `Catching multiple exception types`. (Bronislaw Bialek,
    Pierrick)
  . Implemented logging to syslog with dynamic error levels. (Jani Ollikainen)
  . Implemented FR #72614 (Support "nmake test" on building extensions by
    phpize). (Yuji Uchiyama)
  . Implemented RFC: Iterable. (Aaron Piotrowski)
  . Implemented RFC: Closure::fromCallable (Danack)
  . Implemented RFC: Replace "Missing argument" warning with "\ArgumentCountError"
    exception. (Dmitry, Davey)
  . Implemented RFC: Fix inconsistent behavior of $this variable. (Dmitry)
  . Fixed bug #73585 (Logging of "Internal Zend error - Missing class
    information" missing class name). (Laruence)
  . Fixed memory leak(null coalescing operator with Spl hash). (Tyson Andre)
  . Fixed bug #72736 (Slow performance when fetching large dataset with mysqli
    / PDO). (Dmitry)
  . Fixed bug #72482 (Ilegal write/read access caused by gdImageAALine
    overflow). (cmb)
  . Fixed bug #72696 (imagefilltoborder stackoverflow on truecolor images).
    (cmb)
  . Fixed bug #73350 (Exception::__toString() cause circular references).
    (Laruence)
  . Fixed bug #73329 ((Float)"Nano" == NAN). (Anatol)
  . Fixed bug #73288 (Segfault in __clone > Exception.toString > __get).
    (Laruence)
  . Fixed for #73240 (Write out of bounds at number_format). (Stas)
  . Fix pthreads detection when cross-compiling (ffontaine)
  . Fixed bug #73337 (try/catch not working with two exceptions inside a same
    operation). (Dmitry)
  . Fixed bug #73156 (segfault on undefined function). (Dmitry)
  . Fixed bug #73163 (PHP hangs if error handler throws while accessing undef
    const in default value). (Nikita)
  . Fixed bug #73172 (parse error: Invalid numeric literal). (Nikita, Anatol)
  . Fixed bug #73181 (parse_str() without a second argument leads to crash).
    (Nikita)
  . Fixed bug #73025 (Heap Buffer Overflow in virtual_popen of
    zend_virtual_cwd.c). (cmb)
  . Fixed bug #73058 (crypt broken when salt is 'too' long). (Anatol)
  . Fixed bug #72944 (Null pointer deref in zval_delref_p). (Dmitry)
  . Fixed bug #72943 (assign_dim on string doesn't reset hval). (Laruence)
  . Fixed bug #72598 (Reference is lost after array_slice()) (Nikita)
  . Fixed bug #72703 (Out of bounds global memory read in BF_crypt triggered by
    password_verify). (Anatol)
  . Fixed bug #72813 (Segfault with __get returned by ref). (Laruence)
  . Fixed bug #72767 (PHP Segfaults when trying to expand an infinite operator).
    (Nikita)
  . TypeError messages for arg_info type checks will now say "must be ...
    or null" where the parameter or return type accepts null. (Andrea)
  . Fixed bug #72857 (stream_socket_recvfrom read access violation). (Anatol)
  . Fixed bug #72663 (Create an Unexpected Object and Don't Invoke
    __wakeup() in Deserialization). (Stas)
  . Fixed bug #72681 (PHP Session Data Injection Vulnerability). (Stas)
  . Fixed bug #72742 (memory allocator fails to realloc small block to large
    one). (Stas)
  . Fixed URL rewriter. It would not rewrite '//example.com/' URL
    unconditionally. URL rewrite target hosts whitelist is implemented. (Yasuo)
  . Fixed bug #72641 (phpize (on Windows) ignores PHP_PREFIX).
    (Yuji Uchiyama)
  . Fixed bug #72683 (getmxrr broken). (Anatol)
  . Fixed bug #72629 (Caught exception assignment to variables ignores
    references). (Laruence)
  . Fixed bug #72594 (Calling an earlier instance of an included anonymous
    class fatals). (Laruence)
  . Fixed bug #72581 (previous property undefined in Exception after
    deserialization). (Laruence)
  . Fixed bug #72543 (Different references behavior comparing to PHP 5)
    (Laruence, Dmitry, Nikita)
  . Fixed bug #72347 (VERIFY_RETURN type casts visible in finally). (Dmitry)
  . Fixed bug #72216 (Return by reference with finally is not memory safe).
    (Dmitry)
  . Fixed bug #72215 (Wrong return value if var modified in finally). (Dmitry)
  . Fixed bug #71818 (Memory leak when array altered in destructor). (Dmitry)
  . Fixed bug #71539 (Memory error on $arr[$a] =& $arr[$b] if RHS rehashes)
    (Dmitry, Nikita)
  . Added new constant PHP_FD_SETSIZE. (cmb)
  . Added optind parameter to getopt(). (as)
  . Added PHP to SAPI error severity mapping for logs. (Martin Vobruba)
  . Fixed bug #71911 (Unable to set --enable-debug on building extensions by
    phpize on Windows). (Yuji Uchiyama)
  . Fixed bug #29368 (The destructor is called when an exception is thrown from
    the constructor). (Dmitry)
  . Implemented RFC: RNG Fixes. (Leigh)
  . Implemented email validation as per RFC 6531. (Leo Feyer, Anatol)
  . Fixed bug #72513 (Stack-based buffer overflow vulnerability in
    virtual_file_ex). (Stas)
  . Fixed bug #72573 (HTTP_PROXY is improperly trusted by some PHP libraries
    and applications). (Stas)
  . Fixed bug #72523 (dtrace issue with reflection (failed test)). (Laruence)
  . Fixed bug #72508 (strange references after recursive function call and
    "switch" statement). (Laruence)
  . Fixed bug #72441 (Segmentation fault: RFC list_keys). (Laruence)
  . Fixed bug #72395 (list() regression). (Laruence)
  . Fixed bug #72373 (TypeError after Generator function w/declared return type
    finishes). (Nikita)
  . Fixed bug #69489 (tempnam() should raise notice if falling back to temp dir).
    (Laruence, Anatol)
  . Fixed UTF-8 and long path support on Windows. (Anatol)
  . Fixed bug #53432 (Assignment via string index access on an empty string
    converts to array). (Nikita)
  . Fixed bug #62210 (Exceptions can leak temporary variables). (Dmitry, Bob)
  . Fixed bug #62814 (It is possible to stiffen child class members visibility).
    (Nikita)
  . Fixed bug #69989 (Generators don't participate in cycle GC). (Nikita)
  . Fixed bug #70228 (Memleak if return in finally block). (Dmitry)
  . Fixed bug #71266 (Missing separation of properties HT in foreach etc).
    (Dmitry)
  . Fixed bug #71604 (Aborted Generators continue after nested finally).
    (Nikita)
  . Fixed bug #71572 (String offset assignment from an empty string inserts
    null byte). (Francois)
  . Fixed bug #71897 (ASCII 0x7F Delete control character permitted in
    identifiers). (Andrea)
  . Fixed bug #72188 (Nested try/finally blocks losing return value). (Dmitry)
  . Fixed bug #72213 (Finally leaks on nested exceptions). (Dmitry, Nikita)
  . Fixed bug #47517 (php-cgi.exe missing UAC manifest).
    (maxdax15801 at users noreply github com)
  . Change statement and fcall extension handlers to accept frame. (Joe)
  . Number operators taking numeric strings now emit E_NOTICEs or E_WARNINGs
    when given malformed numeric strings. (Andrea)
  . (int), intval() where $base is 10 or unspecified, settype(), decbin(),
    decoct(), dechex(), integer operators and other conversions now always
    respect scientific notation in numeric strings. (Andrea)
  . Raise a compile-time warning on octal escape sequence overflow. (Sara)

- Apache2handler:
  . Enable per-module logging in Apache 2.4+. (Martin Vobruba)

- BCmath:
  . Fix bug #73190 (memcpy negative parameter _bc_new_num_ex). (Stas)

- Bz2:
  . Fixed bug #72837 (integer overflow in bzdecompress caused heap
    corruption). (Stas)
  . Fixed bug #72613 (Inadequate error handling in bzread()). (Stas)

- Calendar:
  . Fix integer overflows (Joshua Rogers)
  . Fixed bug #67976 (cal_days_month() fails for final month of the French
    calendar). (cmb)
  . Fixed bug #71894 (AddressSanitizer: global-buffer-overflow in
    zif_cal_from_jd). (cmb)

- CLI Server:
  . Fixed bug #73360 (Unable to work in root with unicode chars). (Anatol)
  . Fixed bug #71276 (Built-in webserver does not send Date header).
    (see at seos fr)

- COM:
  . Fixed bug #73126 (Cannot pass parameter 1 by reference). (Anatol)
  . Fixed bug #69579 (Invalid free in extension trait). (John Boehr)
  . Fixed bug #72922 (COM called from PHP does not return out parameters).
    (Anatol)
  . Fixed bug #72569 (DOTNET/COM array parameters broke in PHP7). (Anatol)
  . Fixed bug #72498 (variant_date_from_timestamp null dereference). (Anatol)

- Curl
  . Implement support for handling HTTP/2 Server Push. (Davey)
  . Add curl_multi_errno(), curl_share_errno() and curl_share_strerror()
    functions. (Pierrick)
  . Fixed bug #72674 (Heap overflow in curl_escape). (Stas)
  . Fixed bug #72541 (size_t overflow lead to heap corruption). (Stas).
  . Fixed bug #71709 (curl_setopt segfault with empty CURLOPT_HTTPHEADER).
    (Pierrick)
  . Fixed bug #71929 (CURLINFO_CERTINFO data parsing error). (Pierrick)

- Date:
  . Fixed bug #69587 (DateInterval properties and isset). (jhdxr)
  . Fixed bug #73426 (createFromFormat with 'z' format char results in
    incorrect time). (Derick)
  . Fixed bug #45554 (Inconsistent behavior of the u format char). (Derick)
  . Fixed bug #48225 (DateTime parser doesn't set microseconds for "now").
    (Derick)
  . Fixed bug #52514 (microseconds are missing in DateTime class). (Derick)
  . Fixed bug #52519 (microseconds in DateInterval are missing). (Derick)
  . Fixed bug #60089 (DateTime::createFromFormat() U after u nukes microtime).
    (Derick)
  . Fixed bug #64887 (Allow DateTime modification with subsecond items).
    (Derick)
  . Fixed bug #68506 (General DateTime improvments needed for microseconds to
    become useful). (Derick)
  . Fixed bug #73109 (timelib_meridian doesn't parse dots correctly). (Derick)
  . Fixed bug #73247 (DateTime constructor does not initialise microseconds
    property). (Derick)
  . Fixed bug #73147 (Use After Free in PHP7 unserialize()). (Stas)
  . Fixed bug #73189 (Memcpy negative size parameter php_resolve_path). (Stas)
  . Fixed bug #66836 (DateTime::createFromFormat 'U' with pre 1970 dates fails
    parsing). (derick)
  . Invalid serialization data for a DateTime or DatePeriod object will now
    throw an instance of Error from __wakeup() or __set_state() instead of
    resulting in a fatal error. (Aaron Piotrowski)
  . Timezone initialization failure from serialized data will now throw an
    instance of Error from __wakeup() or __set_state() instead of resulting in
    a fatal error. (Aaron Piotrowski)
  . Export date_get_interface_ce() for extension use. (Jeremy Mikola)
  . Fixed bug #63740 (strtotime seems to use both sunday and monday as start of
    week). (Derick)

- Dba:
  . Fixed bug #70825 (Cannot fetch multiple values with group in ini file).
    (cmb)
  . Data modification functions (e.g.: dba_insert()) now throw an instance of
    Error instead of triggering a catchable fatal error if the key is does not
    contain exactly two elements. (Aaron Piotrowski)

- DOM:
  . Fixed bug #73150 (missing NULL check in dom_document_save_html). (Stas)
  . Fixed bug #66502 (DOM document dangling reference). (Sean Heelan, cmb)
  . Invalid schema or RelaxNG validation contexts will throw an instance of
    Error instead of resulting in a fatal error. (Aaron Piotrowski)
  . Attempting to register a node class that does not extend the appropriate
    base class will now throw an instance of Error instead of resulting in a
    fatal error. (Aaron Piotrowski)
  . Attempting to read an invalid or write to a readonly property will throw
    an instance of Error instead of resulting in a fatal error. (Aaron
    Piotrowski)

- DTrace:
  . Disabled PHP call tracing by default (it makes significant overhead).
    This may be enabled again using envirionment variable USE_ZEND_DTRACE=1.
    (Dmitry)

- EXIF:
  . Fixed bug #72735 (Samsung picture thumb not read (zero size)). (Kalle, Remi)
  . Fixed bug #72627 (Memory Leakage In exif_process_IFD_in_TIFF). (Stas)
  . Fixed bug #72603 (Out of bound read in exif_process_IFD_in_MAKERNOTE).
    (Stas)
  . Fixed bug #72618 (NULL Pointer Dereference in exif_process_user_comment).
    (Stas)

- Filter:
  . Fixed bug #72972 (Bad filter for the flags FILTER_FLAG_NO_RES_RANGE and
    FILTER_FLAG_NO_PRIV_RANGE). (julien)
  . Fixed bug #73054 (default option ignored when object passed to int filter).
    (cmb)
  . Fixed bug #71745 (FILTER_FLAG_NO_RES_RANGE does not cover whole 127.0.0.0/8
    range). (bugs dot php dot net at majkl578 dot cz)

- FPM:
  . Fixed bug #72575 (using --allow-to-run-as-root should ignore missing user).
    (gooh)

- FTP:
  . Fixed bug #70195 (Cannot upload file using ftp_put to FTPES with
    require_ssl_reuse). (Benedict Singer)
  . Implemented FR #55651 (Option to ignore the returned FTP PASV address).
    (abrender at elitehosts dot com)

- GD:
  . Fixed bug #73213 (Integer overflow in imageline() with antialiasing). (cmb)
  . Fixed bug #73272 (imagescale() is not affected by, but affects
    imagesetinterpolation()). (cmb)
  . Fixed bug #73279 (Integer overflow in gdImageScaleBilinearPalette()). (cmb)
  . Fixed bug #73280 (Stack Buffer Overflow in GD dynamicGetbuf). (cmb)
  . Fixed bug #50194 (imagettftext broken on transparent background w/o
    alphablending). (cmb)
  . Fixed bug #73003 (Integer Overflow in gdImageWebpCtx of gd_webp.c). (trylab,
    cmb)
  . Fixed bug #53504 (imagettfbbox gives incorrect values for bounding box).
    (Mark Plomer, cmb)
  . Fixed bug #73157 (imagegd2() ignores 3rd param if 4 are given). (cmb)
  . Fixed bug #73155 (imagegd2() writes wrong chunk sizes on boundaries). (cmb)
  . Fixed bug #73159 (imagegd2(): unrecognized formats may result in corrupted
    files). (cmb)
  . Fixed bug #73161 (imagecreatefromgd2() may leak memory). (cmb)
  . Fixed bug #67325 (imagetruecolortopalette: white is duplicated in palette).
    (cmb)
  . Fixed bug #66005 (imagecopy does not support 1bit transparency on truecolor
    images). (cmb)
  . Fixed bug #72913 (imagecopy() loses single-color transparency on palette
    images). (cmb)
  . Fixed bug #68716 (possible resource leaks in _php_image_convert()). (cmb)
  . Fixed bug #72709 (imagesetstyle() causes OOB read for empty $styles). (cmb)
  . Fixed bug #72697 (select_colors write out-of-bounds). (Stas)
  . Fixed bug #72730 (imagegammacorrect allows arbitrary write access). (Stas)
  . Fixed bug #72596 (imagetypes function won't advertise WEBP support). (cmb)
  . Fixed bug #72604 (imagearc() ignores thickness for full arcs). (cmb)
  . Fixed bug #70315 (500 Server Error but page is fully rendered). (cmb)
  . Fixed bug #43828 (broken transparency of imagearc for truecolor in
    blendingmode). (cmb)
  . Fixed bug #72512 (gdImageTrueColorToPaletteBody allows arbitrary write/read
    access). (Pierre)
  . Fixed bug #72519 (imagegif/output out-of-bounds access). (Pierre)
  . Fixed bug #72558 (Integer overflow error within _gdContributionsAlloc()).
    (Pierre)
  . Fixed bug #72482 (Ilegal write/read access caused by gdImageAALine
    overflow). (Pierre)
  . Fixed bug #72494 (imagecropauto out-of-bounds access). (Fernando, Pierre,
    cmb)
  . Fixed bug #72404 (imagecreatefromjpeg fails on selfie). (cmb)
  . Fixed bug #43475 (Thick styled lines have scrambled patterns). (cmb)
  . Fixed bug #53640 (XBM images require width to be multiple of 8). (cmb)
  . Fixed bug #64641 (imagefilledpolygon doesn't draw horizontal line). (cmb)

- Hash:
  . Added SHA3 fixed mode algorithms (224, 256, 384, and 512 bit). (Sara)
  . Added SHA512/256 and SHA512/224 algorithms. (Sara)

- iconv:
  . Fixed bug #72320 (iconv_substr returns false for empty strings). (cmb)

- IMAP:
  . Fixed bug #73418 (Integer Overflow in "_php_imap_mail" leads to crash).
    (Anatol)
  . An email address longer than 16385 bytes will throw an instance of Error
    instead of resulting in a fatal error. (Aaron Piotrowski)

- Interbase:
  . Fixed bug #73512 (Fails to find firebird headers as don't use fb_config
    output). (Remi)

- Intl:
  . Fixed bug #73007 (add locale length check). (Stas)
  . Fixed bug #73218 (add mitigation for ICU int overflow). (Stas)
  . Fixed bug #65732 (grapheme_*() is not Unicode compliant on CR LF
    sequence). (cmb)
  . Fixed bug #73007 (add locale length check). (Stas)
  . Fixed bug #72639 (Segfault when instantiating class that extends
    IntlCalendar and adds a property). (Laruence)
  . Fixed bug #72658 (Locale::lookup() / locale_lookup() hangs if no match
    found). (Anatol)
  . Partially fixed #72506 (idn_to_ascii for UTS #46 incorrect for long domain
    names). (cmb)
  . Fixed bug #72533 (locale_accept_from_http out-of-bounds access). (Stas)
  . Failure to call the parent constructor in a class extending Collator
    before invoking the parent methods will throw an instance of Error
    instead of resulting in a recoverable fatal error. (Aaron Piotrowski)
  . Cloning a Transliterator object may will now throw an instance of Error
    instead of resulting in a fatal error if cloning the internal
    transliterator fails. (Aaron Piotrowski)
  . Added IntlTimeZone::getWindowsID() and
    IntlTimeZone::getIDForWindowsID(). (Sara)
  . Fixed bug #69374 (IntlDateFormatter formatObject returns wrong utf8 value).
    (lenhatanh86 at gmail com)
  . Fixed bug #69398 (IntlDateFormatter formatObject returns wrong value when
    time style is NONE). (lenhatanh86 at gmail com)

- JSON:
  . Introduced encoder struct instead of global which fixes bugs #66025 and
    #73254 related to pretty print indentation. (Jakub Zelenka)
  . Fixed bug #73113 (Segfault with throwing JsonSerializable). (julien)
  . Implemented earlier return when json_encode fails, fixes bugs #68992
    (Stacking exceptions thrown by JsonSerializable) and #70275 (On recursion
    error, json_encode can eat up all system memory). (Jakub Zelenka)
  . Implemented FR #46600 ("_empty_" key in objects). (Jakub Zelenka)
  . Exported JSON parser API including json_parser_method that can be used
    for implementing custom logic when parsing JSON. (Jakub Zelenka)
  . Escaped U+2028 and U+2029 when JSON_UNESCAPED_UNICODE is supplied as
    json_encode options and added JSON_UNESCAPED_LINE_TERMINATORS to restore
    the previous behaviour. (Eddie Kohler)

- LDAP:
  . Providing an unknown modification type to ldap_batch_modify() will now
    throw an instance of Error instead of resulting in a fatal error.
    (Aaron Piotrowski)

- Mbstring:
  . Fixed bug #73532 (Null pointer dereference in mb_eregi). (Laruence)
  . Fixed bug #66964 (mb_convert_variables() cannot detect recursion) (Yasuo)
  . Fixed bug #72992 (mbstring.internal_encoding doesn't inherit default_charset).
    (Yasuo)
  . Fixed bug #66797 (mb_substr only takes 32-bit signed integer). (cmb)
  . Fixed bug #72711 (`mb_ereg` does not clear the `$regs` parameter on
    failure). (ju1ius)
  . Fixed bug #72691 (mb_ereg_search raises a warning if a match zero-width).
    (cmb)
  . Fixed bug #72693 (mb_ereg_search increments search position when a match
    zero-width). (cmb)
  . Fixed bug #72694 (mb_ereg_search_setpos does not accept a string's last
    position). (cmb)
  . Fixed bug #72710 (`mb_ereg` causes buffer overflow on regexp compile error).
    (ju1ius)
  . Deprecated mb_ereg_replace() eval option. (Rouven Weßling, cmb)
  . Fixed bug #69151 (mb_ereg should reject ill-formed byte sequence).
    (Masaki Kagaya)
  . Fixed bug #72405 (mb_ereg_replace - mbc_to_code (oniguruma) -
    oob read access). (Laruence)
  . Fixed bug #72399 (Use-After-Free in MBString (search_re)). (Laruence)
  . mb_ereg() and mb_eregi() will now throw an instance of ParseError if an
    invalid PHP expression is provided and the 'e' option is used. (Aaron
    Piotrowski)

- Mcrypt:
  . Deprecated ext/mcrypt. (Scott Arciszewski, cmb)
  . Fixed bug #72782 (Heap Overflow due to integer overflows). (Stas)
  . Fixed bug #72551, bug #72552 (In correct casting from size_t to int lead to
    heap overflow in mdecrypt_generic). (Stas)
  . mcrypt_encrypt() and mcrypt_decrypt() will throw an instance of Error
    instead of resulting in a fatal error if mcrypt cannot be initialized.
    (Aaron Piotrowski)

- Mysqli:
  . Attempting to read an invalid or write to a readonly property will throw
    an instance of Error instead of resulting in a fatal error. (Aaron
    Piotrowski)

- Mysqlnd:
  . Fixed bug #64526 (Add missing mysqlnd.* parameters to php.ini-*). (cmb)
  . Fixed bug #71863 (Segfault when EXPLAIN with "Unknown column" error when
    using MariaDB). (Andrey)
  . Fixed bug #72701 (mysqli_get_host_info() wrong output). (Anatol)

- OCI8
  . Fixed bug #71148 (Bind reference overwritten on PHP 7). (Oracle Corp.)
  . Fixed invalid handle error with Implicit Result Sets. (Chris Jones)
  . Fixed bug #72524 (Binding null values triggers ORA-24816 error). (Chris Jones)

- ODBC:
  . Fixed bug #73448 (odbc_errormsg returns trash, always 513 bytes).
    (Anatol)

- Opcache:
  . Fixed bug #73583 (Segfaults when conditionally declared class and function
    have the same name). (Laruence)
  . Fixed bug #69090 (check cached files permissions)
  . Fixed bug #72982 (Memory leak in zend_accel_blacklist_update_regexp()
    function). (Laruence)
  . Fixed bug #72949 (Typo in opcache error message). (cmb)
  . Fixed bug #72762 (Infinite loop while parsing a file with opcache enabled).
    (Nikita)
  . Fixed bug #72590 (Opcache restart with kill_all_lockers does not work).
    (Keyur)

- OpenSSL:
  . Fixed bug #73478 (openssl_pkey_new() generates wrong pub/priv keys with
    Diffie Hellman). (Jakub Zelenka)
  . Fixed bug #73276 (crash in openssl_random_pseudo_bytes function). (Stas)
  . Fixed bug #73072 (Invalid path SNI_server_certs causes segfault).
    (Jakub Zelenka)
  . Fixed bug #72360 (ext/openssl build failure with OpenSSL 1.1.0).
    (Jakub Zelenka)
  . Bumped a minimal version to 1.0.1. (Jakub Zelenka)
  . Dropped support for SSL2. (Remi)
  . Implemented FR #61204 (Add elliptic curve support for OpenSSL).
    (Dominic Luechinger)
  . Implemented FR #67304 (Added AEAD support [CCM and GCM modes] to
    openssl_encrypt and openssl_decrypt). (Jakub Zelenka)
  . Implemented error storing to the global queue and cleaning up the OpenSSL
    error queue (resolves bugs #68276 and #69882). (Jakub Zelenka)

- Pcntl
  . Implemented asynchronous signal handling without TICKS. (Dmitry)
  . Added pcntl_signal_get_handler() that returns the current signal handler
    for a particular signal. Addresses FR #72409. (David Walker)
  . Add signinfo to pcntl_signal() handler args (Bishop Bettini, David Walker)

- PCRE:
  . Fixed bug #73483 (Segmentation fault on pcre_replace_callback). (Laruence)
  . Fixed bug #73612 (preg_*() may leak memory). (cmb)
  . Fixed bug #73392 (A use-after-free in zend allocator management).
    (Laruence)
  . Fixed bug #73121 (Bundled PCRE doesn't compile because JIT isn't supported
    on s390). (Anatol)
  . Fixed bug #72688 (preg_match missing group names in matches). (cmb)
  . Downgraded to PCRE 8.38. (Anatol)
  . Fixed bug #72476 (Memleak in jit_stack). (Laruence)
  . Fixed bug #72463 (mail fails with invalid argument). (Anatol)
  . Upgraded to PCRE 8.39. (Anatol)

- PDO:
  . Fixed bug #72788 (Invalid memory access when using persistent PDO
    connection). (Keyur)
  . Fixed bug #72791 (Memory leak in PDO persistent connection handling). (Keyur)
  . Fixed bug #60665 (call to empty() on NULL result using PDO::FETCH_LAZY
    returns false). (cmb)

- PDO_DBlib:
  . Fixed bug #72414 (Never quote values as raw binary data). (Adam Baratz)
  . Allow \PDO::setAttribute() to set query timeouts. (Adam Baratz)
  . Handle SQLDECIMAL/SQLNUMERIC types, which are used by later TDS versions.
    (Adam Baratz)
  . Add common PDO test suite. (Adam Baratz)
  . Free error and message strings when cleaning up PDO instances.
    (Adam Baratz)
  . Fixed bug #67130 (\PDOStatement::nextRowset() should succeed when all rows
    in current rowset haven't been fetched). (Peter LeBrun)
  . Ignore potentially misleading dberr values. (Chris Kings-Lynne)
  . Implemented stringify 'uniqueidentifier' fields.
    (Alexander Zhuravlev, Adam Baratz)

- PDO_Firebird:
  . Fixed bug #73087, #61183, #71494 (Memory corruption in bindParam).
    (Dorin Marcoci)
  . Fixed bug #60052 (Integer returned as a 64bit integer on X86_64). (Mariuz)

- PDO_pgsql:
  . Fixed bug #70313 (PDO statement fails to throw exception). (Matteo)
  . Fixed bug #72570 (Segmentation fault when binding parameters on a query
    without placeholders). (Matteo)
  . Implemented FR #72633 (Postgres PDO lastInsertId() should work without
    specifying a sequence). (Pablo Santiago Sánchez, Matteo)

- Phar:
  . Fixed bug #72928 (Out of bound when verify signature of zip phar in
    phar_parse_zipfile). (Stas)
  . Fixed bug #73035 (Out of bound when verify signature of tar phar in
    phar_parse_tarfile). (Stas)

- phpdbg:
  . Added generator command for inspection of currently alive generators. (Bob)

- Postgres:
  . Fixed bug #73498 (Incorrect SQL generated for pg_copy_to()). (Craig Duncan)
  . Implemented FR #31021 (pg_last_notice() is needed to get all notice
    messages). (Yasuo)
  . Implemented FR #48532 (Allow pg_fetch_all() to index numerically). (Yasuo)

- Readline:
  . Fixed bug #72538 (readline_redisplay crashes php). (Laruence)

- Reflection
  . Undo backwards compatiblity break in ReflectionType->__toString() and
    deprecate via documentation instead. (Nikita)
  . Reverted prepending \ for class names. (Trowski)
  . Implemented request #38992 (invoke() and invokeArgs() static method calls
    should match). (cmb).
  . Add ReflectionNamedType::getName(). This method should be used instead of
    ReflectionType::__toString()
  . Prepend \ for class names and ? for nullable types returned from
    ReflectionType::__toString(). (Trowski)
  . Fixed bug #72661 (ReflectionType::__toString crashes with iterable).
    (Laruence)
  . Fixed bug #72222 (ReflectionClass::export doesn't handle array constants).
    (Nikita Nefedov)
  . Failure to retrieve a reflection object or retrieve an object property
    will now throw an instance of Error instead of resulting in a fatal error.
    (Aaron Piotrowski)
  . Fix #72209 (ReflectionProperty::getValue() doesn't fail if object doesn't match type). (Joe)

- Session:
  . Fixed bug #73273 (session_unset() empties values from all variables in which
    is $_session stored). (Nikita)
  . Fixed bug #73100 (session_destroy null dereference in ps_files_path_create).
    (cmb)
  . Fixed bug #68015 (Session does not report invalid uid for files save handler).
    (Yasuo)
  . Fixed bug #72940 (SID always return "name=ID", even if session
    cookie exist). (Yasuo)
  . Implemented session_gc() (Yasuo)
    https://wiki.php.net/rfc/session-create-id
  . Implemented session_create_id() (Yasuo)
    https://wiki.php.net/rfc/session-gc
  . Implemented RFC: Session ID without hashing. (Yasuo)
    https://wiki.php.net/rfc/session-id-without-hashing
  . Fixed bug #72531 (ps_files_cleanup_dir Buffer overflow). (Laruence)
  . Custom session handlers that do not return strings for session IDs will
    now throw an instance of Error instead of resulting in a fatal error
    when a function is called that must generate a session ID.
    (Aaron Piotrowski)
  . An invalid setting for session.hash_function will throw an instance of
    Error instead of resulting in a fatal error when a session ID is created.
    (Aaron Piotrowski)
  . Fixed bug #72562 (Use After Free in unserialize() with Unexpected Session
    Deserialization). (Stas)
  . Improved fix for bug #68063 (Empty session IDs do still start sessions).
    (Yasuo)
  . Fixed bug #71038 (session_start() returns TRUE on failure).
    Session save handlers must return 'string' always for successful read.
    i.e. Non-existing session read must return empty string. PHP 7.0 is made
    not to tolerate buggy return value. (Yasuo)
  . Fixed bug #71394 (session_regenerate_id() must close opened session on
    errors). (Yasuo)

- SimpleXML:
  . Fixed bug #73293 (NULL pointer dereference in SimpleXMLElement::asXML()).
    (Stas)
  . Fixed bug #72971 (SimpleXML isset/unset do not respect namespace). (Nikita)
  . Fixed bug #72957 (Null coalescing operator doesn't behave as expected with
    SimpleXMLElement). (Nikita)
  . Fixed bug #72588 (Using global var doesn't work while accessing SimpleXML
    element). (Laruence)
  . Creating an unnamed or duplicate attribute will throw an instance of Error
    instead of resulting in a fatal error. (Aaron Piotrowski)

- SNMP:
  . Fixed bug #72708 (php_snmp_parse_oid integer overflow in memory
    allocation). (djodjo at gmail dot com)
  . Fixed bug #72479 (Use After Free Vulnerability in SNMP with GC and
    unserialize()). (Stas)

- Soap:
  . Fixed bug #73538 (SoapClient::__setSoapHeaders doesn't overwrite SOAP
    headers). (duncan3dc)
  . Fixed bug #73452 (Segfault (Regression for #69152)). (Dmitry)
  . Fixed bug #73037 (SoapServer reports Bad Request when gzipped). (Anatol)
  . Fixed bug #73237 (Nested object in "any" element overwrites other fields).
    (Keith Smiley)
  . Fixed bug #69137 (Peer verification fails when using a proxy with SoapClient)
    (Keith Smiley)
  . Fixed bug #71711 (Soap Server Member variables reference bug). (Nikita)
  . Fixed bug #71996 (Using references in arrays doesn't work like expected).
    (Nikita)

- SPL:
  . Fixed bug #73423 (Reproducible crash with GDB backtrace). (Laruence)
  . Fixed bug #72888 (Segfault on clone on splFileObject). (Laruence)
  . Fixed bug #73029 (Missing type check when unserializing SplArray). (Stas)
  . Fixed bug #72646 (SplFileObject::getCsvControl does not return the escape
    character). (cmb)
  . Fixed bug #72684 (AppendIterator segfault with closed generator). (Pierrick)
  . Attempting to clone an SplDirectory object will throw an instance of Error
    instead of resulting in a fatal error. (Aaron Piotrowski)
  . Calling ArrayIterator::append() when iterating over an object will throw an
    instance of Error instead of resulting in a fatal error. (Aaron Piotrowski)
  . Fixed bug #55701 (GlobIterator throws LogicException). (Valentin VĂLCIU)

- SQLite3:
  . Update to SQLite 3.15.1. (cmb)
  . Fixed bug #73530 (Unsetting result set may reset other result set). (cmb)
  . Fixed bug #73333 (2147483647 is fetched as string). (cmb)
  . Fixed bug #72668 (Spurious warning when exception is thrown in user defined
    function). (Laruence)
  . Implemented FR #72653 (SQLite should allow opening with empty filename).
    (cmb)
  . Fixed bug #70628 (Clearing bindings on an SQLite3 statement doesn't work).
    (cmb)
  . Implemented FR #71159 (Upgraded bundled SQLite lib to 3.9.2). (Laruence)

- Standard:
  . Fixed bug #73297 (HTTP stream wrapper should ignore HTTP 100 Continue).
    (rowan dot collins at gmail dot com)
  . Fixed bug #73303 (Scope not inherited by eval in assert()). (nikic)
  . Fixed bug #73192 (parse_url return wrong hostname). (Nikita)
  . Fixed bug #73203 (passing additional_parameters causes mail to fail). (cmb)
  . Fixed bug #73203 (passing additional_parameters causes mail to fail). (cmb)
  . Fixed bug #72920 (Accessing a private constant using constant() creates
    an exception AND warning). (Laruence)
  . Fixed bug #65550 (get_browser() incorrectly parses entries with "+" sign).
    (cmb)
  . Fixed bug #71882 (Negative ftruncate() on php://memory exhausts memory).
    (cmb)
  . Fixed bug #55451 (substr_compare NULL length interpreted as 0). (Lauri
    Kenttä)
  . Fixed bug #72278 (getimagesize returning FALSE on valid jpg). (cmb)
  . Fixed bug #61967 (unset array item in array_walk_recursive cause
    inconsistent array). (Nikita)
  . Fixed bug #62607 (array_walk_recursive move internal pointer). (Nikita)
  . Fixed bug #69068 (Exchanging array during array_walk -> memory errors).
    (Nikita)
  . Fixed bug #70713 (Use After Free Vulnerability in array_walk()/
    array_walk_recursive()). (Nikita)
  . Fixed bug #72622 (array_walk + array_replace_recursive create references
    from nothing). (Laruence)
  . Fixed bug #72330 (CSV fields incorrectly split if escape char followed by
    UTF chars). (cmb)
  . Implemented RFC: More precise float values. (Jakub Zelenka, Yasuo)
  . array_multisort now uses zend_sort instead zend_qsort. (Laruence)
  . Fixed bug #72505 (readfile() mangles files larger than 2G). (Cschneid)
  . assert() will throw a ParseError when evaluating a string given as the first
    argument if the PHP code is invalid instead of resulting in a catchable
    fatal error. (Aaron Piotrowski)
  . Calling forward_static_call() outside of a class scope will now throw an
    instance of Error instead of resulting in a fatal error. (Aaron Piotrowski)
  . Added is_iterable() function. (Aaron Piotrowski)
  . Fixed bug #72306 (Heap overflow through proc_open and $env parameter).
    (Laruence)
  . Fixed bug #71100 (long2ip() doesn't accept integers in strict mode).
    (Laruence)
  . Implemented FR #55716 (Add an option to pass a custom stream context to
    get_headers()). (Ferenc)
  . Additional validation for parse_url() for login/pass components).
    (Ilia) (Julien)
  . Implemented FR #69359 (Provide a way to fetch the current environment
    variables). (Ferenc)
  . unpack() function accepts an additional optional argument $offset. (Dmitry)
  . Implemented #51879 stream context socket option tcp_nodelay (Joe)

- Streams:
  . Fixed bug #73586 (php_user_filter::$stream is not set to the stream the
    filter is working on). (Dmitry)
  . Fixed bug #72853 (stream_set_blocking doesn't work). (Laruence)
  . Fixed bug #72743 (Out-of-bound read in php_stream_filter_create).
    (Loianhtuan)
  . Implemented FR #27814 (Multiple small packets send for HTTP request).
    (vhuk)
  . Fixed bug #72764 (ftps:// opendir wrapper data channel encryption fails
    with IIS FTP 7.5, 8.5). (vhuk)
  . Fixed bug #72810 (Missing SKIP_ONLINE_TESTS checks). (vhuk)
  . Fixed bug #41021 (Problems with the ftps wrapper). (vhuk)
  . Fixed bug #54431 (opendir() does not work with ftps:// wrapper). (vhuk)
  . Fixed bug #72667 (opendir() with ftp:// attempts to open data stream for
    non-existent directories). (vhuk)
  . Fixed bug #72771 (ftps:// wrapper is vulnerable to protocol downgrade
    attack). (Stas)
  . Fixed bug #72534 (stream_socket_get_name crashes). (Anatol)
  . Fixed bug #72439 (Stream socket with remote address leads to a segmentation
    fault). (Laruence)

- sysvshm:
  . Fixed bug #72858 (shm_attach null dereference). (Anatol)

- Tidy:
  . Implemented support for libtidy 5.0.0 and above. (Michael Orlitzky, Anatol)
  . Creating a tidyNode manually will now throw an instance of Error instead of
    resulting in a fatal error. (Aaron Piotrowski)

- Wddx:
  . Fixed bug #73331 (NULL Pointer Dereference in WDDX Packet Deserialization
    with PDORow). (Stas)
  . Fixed bug #72142 (WDDX Packet Injection Vulnerability in
    wddx_serialize_value()). (Taoguang Chen)
  . Fixed bug #72749 (wddx_deserialize allows illegal memory access) (Stas)
  . Fixed bug #72750 (wddx_deserialize null dereference). (Stas)
  . Fixed bug #72790 (wddx_deserialize null dereference with invalid xml).
    (Stas)
  . Fixed bug #72799 (wddx_deserialize null dereference in
    php_wddx_pop_element). (Stas)
  . Fixed bug #72860 (wddx_deserialize use-after-free). (Stas)
  . Fixed bug #73065 (Out-Of-Bounds Read in php_wddx_push_element). (Stas)
  . Fixed bug #72564 (boolean always deserialized as "true") (Remi)
  . A circular reference when serializing will now throw an instance of Error
    instead of resulting in a fatal error. (Aaron Piotrowski)

- XML:
  . Fixed bug #72135 (malformed XML causes fault) (edgarsandi)
  . Fixed bug #72714 (_xml_startElementHandler() segmentation fault). (cmb)
  . Fixed bug #72085 (SEGV on unknown address zif_xml_parse). (cmb)

- XMLRPC:
  . Fixed bug #72647 (xmlrpc_encode() unexpected output after referencing
    array elements). (Laruence)
  . Fixed bug #72606 (heap-buffer-overflow (write) simplestring_addn
    simplestring.c). (Stas)
  . A circular reference when serializing will now throw an instance of Error
    instead of resulting in a fatal error. (Aaron Piotrowski)

- Zip:
  . Fixed bug #68302 (impossible to compile php with zip support). (cmb)
  . Fixed bug #72660 (NULL Pointer dereference in zend_virtual_cwd).
    (Laruence)
  . Fixed bug #72520 (Stack-based buffer overflow vulnerability in
    php_stream_zip_opener). (Stas)
  . ZipArchive::addGlob() will throw an instance of Error instead of resulting
    in a fatal error if glob support is not available. (Aaron Piotrowski)

10 Nov 2016 PHP 7.0.13

- Core:
  . Fixed bug #73350 (Exception::__toString() cause circular references).
    (Laruence)
  . Fixed bug #73181 (parse_str() without a second argument leads to crash).
    (Nikita)
  . Fixed bug #66773 (Autoload with Opcache allows importing conflicting class
    name to namespace). (Nikita)
  . Fixed bug #66862 ((Sub-)Namespaces unexpected behaviour). (Nikita)
  . Fix pthreads detection when cross-compiling (ffontaine)
  . Fixed bug #73337 (try/catch not working with two exceptions inside a same
    operation). (Dmitry)
  . Fixed bug #73338 (Exception thrown from error handler causes valgrind
    warnings (and crashes)). (Bob, Dmitry)
  . Fixed bug #73329 ((Float)"Nano" == NAN). (Anatol)

- GD:
  . Fixed bug #73213 (Integer overflow in imageline() with antialiasing). (cmb)
  . Fixed bug #73272 (imagescale() is not affected by, but affects
    imagesetinterpolation()). (cmb)
  . Fixed bug #73279 (Integer overflow in gdImageScaleBilinearPalette()). (cmb)
  . Fixed bug #73280 (Stack Buffer Overflow in GD dynamicGetbuf). (cmb)
  . Fixed bug #72482 (Ilegal write/read access caused by gdImageAALine
    overflow). (cmb)
  . Fixed bug #72696 (imagefilltoborder stackoverflow on truecolor images).
    (cmb)

- IMAP:
  . Fixed bug #73418 (Integer Overflow in "_php_imap_mail" leads to crash).
    (Anatol)

- OCI8
  . Fixed bug #71148 (Bind reference overwritten on PHP 7). (Oracle Corp.)

- phpdbg:
  . Properly allow for stdin input from a file. (Bob)
  . Add -s command line option / stdin command for reading script from stdin.
    (Bob)
  . Ignore non-executable opcodes in line mode of phpdbg_end_oplog(). (Bob)
  . Fixed bug #70776 (Simple SIGINT does not have any effect with -rr). (Bob)
  . Fixed bug #71234 (INI files are loaded even invoked as -n --version). (Bob)

- Session:
  . Fixed bug #73273 (session_unset() empties values from all variables in which
    is $_session stored). (Nikita)

- SOAP:
  . Fixed bug #73037 (SoapServer reports Bad Request when gzipped). (Anatol)
  . Fixed bug #73237 (Nested object in "any" element overwrites other fields).
    (Keith Smiley)
  . Fixed bug #69137 (Peer verification fails when using a proxy with SoapClient)
    (Keith Smiley)

- SQLite3:
  . Fixed bug #73333 (2147483647 is fetched as string). (cmb)

- Standard:
  . Fixed bug #73203 (passing additional_parameters causes mail to fail). (cmb)
  . Fixed bug #71241 (array_replace_recursive sometimes mutates its parameters).
    (adsr)

- Wddx:
  . Fixed bug #73331 (NULL Pointer Dereference in WDDX Packet Deserialization
    with PDORow). (Stas)

13 Oct 2016 PHP 7.0.12

- Core:
  . Fixed bug #73025 (Heap Buffer Overflow in virtual_popen of
    zend_virtual_cwd.c). (cmb)
  . Fixed bug #72703 (Out of bounds global memory read in BF_crypt triggered by
    password_verify). (Anatol)
  . Fixed bug #73058 (crypt broken when salt is 'too' long). (Anatol)
  . Fixed bug #69579 (Invalid free in extension trait). (John Boehr)
  . Fixed bug #73156 (segfault on undefined function). (Dmitry)
  . Fixed bug #73163 (PHP hangs if error handler throws while accessing undef
    const in default value). (Nikita)
  . Fixed bug #73172 (parse error: Invalid numeric literal). (Nikita, Anatol)
  . Fixed for #73240 (Write out of bounds at number_format). (Stas)
  . Fixed bug #73147 (Use After Free in PHP7 unserialize()). (Stas)
  . Fixed bug #73189 (Memcpy negative size parameter php_resolve_path). (Stas)

- BCmath:
  . Fix bug #73190 (memcpy negative parameter _bc_new_num_ex). (Stas)

- COM:
  . Fixed bug #73126 (Cannot pass parameter 1 by reference). (Anatol)

- Date:
  . Fixed bug #73091 (Unserializing DateInterval object may lead to __toString
    invocation). (Stas)

- DOM:
  . Fixed bug #73150 (missing NULL check in dom_document_save_html). (Stas)

- Filter:
  . Fixed bug #72972 (Bad filter for the flags FILTER_FLAG_NO_RES_RANGE and
    FILTER_FLAG_NO_PRIV_RANGE). (julien)
  . Fixed bug #73054 (default option ignored when object passed to int filter).
    (cmb)

- GD:
  . Fixed bug #67325 (imagetruecolortopalette: white is duplicated in palette).
    (cmb)
  . Fixed bug #50194 (imagettftext broken on transparent background w/o
    alphablending). (cmb)
  . Fixed bug #73003 (Integer Overflow in gdImageWebpCtx of gd_webp.c). (trylab,
    cmb)
  . Fixed bug #53504 (imagettfbbox gives incorrect values for bounding box).
    (Mark Plomer, cmb)
  . Fixed bug #73157 (imagegd2() ignores 3rd param if 4 are given). (cmb)
  . Fixed bug #73155 (imagegd2() writes wrong chunk sizes on boundaries). (cmb)
  . Fixed bug #73159 (imagegd2(): unrecognized formats may result in corrupted
    files). (cmb)
  . Fixed bug #73161 (imagecreatefromgd2() may leak memory). (cmb)

- Intl:
  . Fixed bug #73218 (add mitigation for ICU int overflow). (Stas)

- Mbstring:
  . Fixed bug #66797 (mb_substr only takes 32-bit signed integer). (cmb)
  . Fixed bug #66964 (mb_convert_variables() cannot detect recursion) (Yasuo)
  . Fixed bug #72992 (mbstring.internal_encoding doesn't inherit default_charset).
    (Yasuo)

- Mysqlnd:
  . Fixed bug #72489 (PHP Crashes When Modifying Array Containing MySQLi Result
    Data). (Nikita)

- Opcache:
  . Fixed bug #72982 (Memory leak in zend_accel_blacklist_update_regexp()
    function). (Laruence)

- OpenSSL:
  . Fixed bug #73072 (Invalid path SNI_server_certs causes segfault).
    (Jakub Zelenka)
  . Fixed bug #73276 (crash in openssl_random_pseudo_bytes function). (Stas)
  . Fixed bug #73275 (crash in openssl_encrypt function). (Stas)

- PCRE:
  . Fixed bug #73121 (Bundled PCRE doesn't compile because JIT isn't supported
    on s390). (Anatol)
  . Fixed bug #73174 (heap overflow in php_pcre_replace_impl). (Stas)

- PDO_DBlib:
  . Fixed bug #72414 (Never quote values as raw binary data). (Adam Baratz)
  . Allow \PDO::setAttribute() to set query timeouts. (Adam Baratz)
  . Handle SQLDECIMAL/SQLNUMERIC types, which are used by later TDS versions.
    (Adam Baratz)
  . Add common PDO test suite. (Adam Baratz)
  . Free error and message strings when cleaning up PDO instances.
    (Adam Baratz)
  . Fixed bug #67130 (\PDOStatement::nextRowset() should succeed when all rows
    in current rowset haven't been fetched). (Peter LeBrun)
  . Ignore potentially misleading dberr values. (Chris Kings-Lynne)

- phpdbg:
  . Fixed bug #72996 (phpdbg_prompt.c undefined reference to DL_LOAD). (Nikita)
  . Fixed next command not stopping when leaving function. (Bob)

- Session:
  . Fixed bug #68015 (Session does not report invalid uid for files save handler).
    (Yasuo)
  . Fixed bug #73100 (session_destroy null dereference in ps_files_path_create).
    (cmb)

- SimpleXML:
  . Fixed bug #73293 (NULL pointer dereference in SimpleXMLElement::asXML()).
    (Stas)

- SOAP:
  . Fixed bug #71711 (Soap Server Member variables reference bug). (Nikita)
  . Fixed bug #71996 (Using references in arrays doesn't work like expected).
    (Nikita)

- SPL:
  . Fixed bug #73257, #73258 (SplObjectStorage unserialize allows use of
    non-object as key). (Stas)

- SQLite3:
  . Updated bundled SQLite3 to 3.14.2. (cmb)

- Zip:
  . Fixed bug #70752 (Depacking with wrong password leaves 0 length files).
    (cmb)

15 Sep 2016 PHP 7.0.11

- Core:
  . Fixed bug #72944 (Null pointer deref in zval_delref_p). (Dmitry)
  . Fixed bug #72943 (assign_dim on string doesn't reset hval). (Laruence)
  . Fixed bug #72911 (Memleak in zend_binary_assign_op_obj_helper). (Laruence)
  . Fixed bug #72813 (Segfault with __get returned by ref). (Laruence)
  . Fixed bug #72767 (PHP Segfaults when trying to expand an infinite operator).
    (Nikita)
  . Fixed bug #72854 (PHP Crashes on duplicate destructor call). (Nikita)
  . Fixed bug #72857 (stream_socket_recvfrom read access violation). (Anatol)

- COM:
  . Fixed bug #72922 (COM called from PHP does not return out parameters).
    (Anatol)

- Dba:
  . Fixed bug #70825 (Cannot fetch multiple values with group in ini file).
    (cmb)

- FTP:
  . Fixed bug #70195 (Cannot upload file using ftp_put to FTPES with
    require_ssl_reuse). (Benedict Singer)

- GD:
  . Fixed bug #72709 (imagesetstyle() causes OOB read for empty $styles). (cmb)
  . Fixed bug #66005 (imagecopy does not support 1bit transparency on truecolor
    images). (cmb)
  . Fixed bug #72913 (imagecopy() loses single-color transparency on palette
    images). (cmb)
  . Fixed bug #68716 (possible resource leaks in _php_image_convert()). (cmb)

- iconv:
  . Fixed bug #72320 (iconv_substr returns false for empty strings). (cmb)

- IMAP:
  . Fixed bug #72852 (imap_mail null dereference). (Anatol)

- Intl:
  . Fixed bug #65732 (grapheme_*() is not Unicode compliant on CR LF
    sequence). (cmb)
  . Fixed bug #73007 (add locale length check). (Stas)

- Mysqlnd:
  . Fixed bug #72293 (Heap overflow in mysqlnd related to BIT fields). (Stas)

- OCI8
  . Fixed invalid handle error with Implicit Result Sets. (Chris Jones)
  . Fixed bug #72524 (Binding null values triggers ORA-24816 error). (Chris Jones)

- Opcache:
  . Fixed bug #72949 (Typo in opcache error message). (cmb)

- PDO:
  . Fixed bug #72788 (Invalid memory access when using persistent PDO
    connection). (Keyur)
  . Fixed bug #72791 (Memory leak in PDO persistent connection handling). (Keyur)
  . Fixed bug #60665 (call to empty() on NULL result using PDO::FETCH_LAZY
    returns false). (cmb)

- PDO_DBlib:
  . Implemented stringify 'uniqueidentifier' fields.
    (Alexander Zhuravlev, Adam Baratz)

- PDO_pgsql:
  . Implemented FR #72633 (Postgres PDO lastInsertId() should work without
    specifying a sequence). (Pablo Santiago Sánchez, Matteo)
  . Fixed bug #72759 (Regression in pgo_pgsql). (Anatol)

- Phar:
  . Fixed bug #72928 (Out of bound when verify signature of zip phar in
    phar_parse_zipfile). (Stas)
  . Fixed bug #73035 (Out of bound when verify signature of tar phar in
    phar_parse_tarfile). (Stas)

- Reflection:
  . Fixed bug #72846 (getConstant for a array constant with constant values
    returns NULL/NFC/UKNOWN). (Laruence)

- Session:
  . Fixed bug #72724 (PHP7: session-uploadprogress kills httpd). (Nikita)
  . Fixed bug #72940 (SID always return "name=ID", even if session
    cookie exist). (Yasuo)

- SimpleXML:
  . Fixed bug #72971 (SimpleXML isset/unset do not respect namespace). (Nikita)
  . Fixed bug #72957 (Null coalescing operator doesn't behave as expected with
    SimpleXMLElement). (Nikita)

- SPL:
  . Fixed bug #73029 (Missing type check when unserializing SplArray). (Stas)

- Standard:
  . Fixed bug #55451 (substr_compare NULL length interpreted as 0). (Lauri
    Kenttä)
  . Fixed bug #72278 (getimagesize returning FALSE on valid jpg). (cmb)
  . Fixed bug #65550 (get_browser() incorrectly parses entries with "+" sign).
    (cmb)

- Streams:
  . Fixed bug #72853 (stream_set_blocking doesn't work). (Laruence)
  . Fixed bug #72764 (ftps:// opendir wrapper data channel encryption fails
    with IIS FTP 7.5, 8.5). (vhuk)
  . Fixed bug #71882 (Negative ftruncate() on php://memory exhausts memory).
    (cmb)

- SQLite3:
  . Downgraded bundled SQLite to 3.8.10.2. (Anatol);

- Sysvshm:
  . Fixed bug #72858 (shm_attach null dereference). (Anatol)

- XML:
  . Fixed bug #72085 (SEGV on unknown address zif_xml_parse). (cmb)
  . Fixed bug #72714 (_xml_startElementHandler() segmentation fault). (cmb)

- Wddx:
  . Fixed bug #72860 (wddx_deserialize use-after-free). (Stas)
  . Fixed bug #73065 (Out-Of-Bounds Read in php_wddx_push_element). (Stas)

- ZIP:
  . Fixed bug #68302 (impossible to compile php with zip support). (cmb)

18 Aug 2016 PHP 7.0.10

- Core:
  . Fixed bug #72629 (Caught exception assignment to variables ignores
    references). (Laruence)
  . Fixed bug #72594 (Calling an earlier instance of an included anonymous
    class fatals). (Laruence)
  . Fixed bug #72581 (previous property undefined in Exception after
    deserialization). (Laruence)
  . Fixed bug #72496 (Cannot declare public method with signature incompatible
    with parent private method). (Pedro Magalhães)
  . Fixed bug #72024 (microtime() leaks memory). (maroszek at gmx dot net)
  . Fixed bug #71911 (Unable to set --enable-debug on building extensions by
    phpize on Windows). (Yuji Uchiyama)
  . Fixed bug causing ClosedGeneratorException being thrown into the calling
    code instead of the Generator yielding from. (Bob)
  . Implemented FR #72614 (Support "nmake test" on building extensions by
    phpize). (Yuji Uchiyama)
  . Fixed bug #72641 (phpize (on Windows) ignores PHP_PREFIX).
    (Yuji Uchiyama)
  . Fixed potential segfault in object storage freeing in shutdown sequence.
    (Bob)
  . Fixed bug #72663 (Create an Unexpected Object and Don't Invoke
   __wakeup() in Deserialization). (Stas)
  . Fixed bug #72681 (PHP Session Data Injection Vulnerability). (Stas)
  . Fixed bug #72683 (getmxrr broken). (Anatol)
  . Fixed bug #72742 (memory allocator fails to realloc small block to large
    one). (Stas)
  . Fixed URL rewriter partially. It would not rewrite '//example.com/' URL
    unconditionally. Only requested host(HTTP_HOST) is rewritten. (Yasuo)

- Bz2:
  . Fixed bug #72837 (integer overflow in bzdecompress caused heap
    corruption). (Stas)

- Calendar:
  . Fixed bug #67976 (cal_days_month() fails for final month of the French
    calendar). (cmb)
  . Fixed bug #71894 (AddressSanitizer: global-buffer-overflow in
    zif_cal_from_jd). (cmb)

- COM:
  . Fixed bug #72569 (DOTNET/COM array parameters broke in PHP7). (Anatol)

- CURL:
  . Fixed bug #71709 (curl_setopt segfault with empty CURLOPT_HTTPHEADER).
    (Pierrick)
  . Fixed bug #71929 (CURLINFO_CERTINFO data parsing error). (Pierrick)
  . Fixed bug #72674 (Heap overflow in curl_escape). (Stas)

- DOM:
  . Fixed bug #66502 (DOM document dangling reference). (Sean Heelan, cmb)

- EXIF:
  . Fixed bug #72735 (Samsung picture thumb not read (zero size)). (Kalle, Remi)
  . Fixed bug #72627 (Memory Leakage In exif_process_IFD_in_TIFF). (Stas)

- Filter:
  . Fixed bug #71745 (FILTER_FLAG_NO_RES_RANGE does not cover whole 127.0.0.0/8
    range). (bugs dot php dot net at majkl578 dot cz)

- FPM:
  . Fixed bug #72575 (using --allow-to-run-as-root should ignore missing user).
    (gooh)

- GD:
  . Fixed bug #72596 (imagetypes function won't advertise WEBP support). (cmb)
  . Fixed bug #72604 (imagearc() ignores thickness for full arcs). (cmb)
  . Fixed bug #70315 (500 Server Error but page is fully rendered). (cmb)
  . Fixed bug #43828 (broken transparency of imagearc for truecolor in
    blendingmode). (cmb)
  . Fixed bug #66555 (Always false condition in ext/gd/libgd/gdkanji.c). (cmb)
  . Fixed bug #68712 (suspicious if-else statements). (cmb)
  . Fixed bug #72697 (select_colors write out-of-bounds). (Stas)
  . Fixed bug #72730 (imagegammacorrect allows arbitrary write access). (Stas)

- Intl:
  . Fixed bug #72639 (Segfault when instantiating class that extends
    IntlCalendar and adds a property). (Laruence)
  . Partially fixed #72506 (idn_to_ascii for UTS #46 incorrect for long domain
    names). (cmb)

- mbstring:
  . Fixed bug #72691 (mb_ereg_search raises a warning if a match zero-width).
    (cmb)
  . Fixed bug #72693 (mb_ereg_search increments search position when a match
    zero-width). (cmb)
  . Fixed bug #72694 (mb_ereg_search_setpos does not accept a string's last
    position). (cmb)
  . Fixed bug #72710 (`mb_ereg` causes buffer overflow on regexp compile error).
    (ju1ius)

- Mcrypt:
  . Fixed bug #72782 (Heap Overflow due to integer overflows). (Stas)

- Opcache:
  . Fixed bug #72590 (Opcache restart with kill_all_lockers does not work).
    (Keyur)

- PCRE:
  . Fixed bug #72688 (preg_match missing group names in matches). (cmb)

- PDO_pgsql:
  . Fixed bug #70313 (PDO statement fails to throw exception). (Matteo)

- Reflection:
  . Fixed bug #72222 (ReflectionClass::export doesn't handle array constants).
    (Nikita Nefedov)

- SimpleXML:
  . Fixed bug #72588 (Using global var doesn't work while accessing SimpleXML
    element). (Laruence)

- SNMP:
  . Fixed bug #72708 (php_snmp_parse_oid integer overflow in memory
    allocation). (djodjo at gmail dot com)

- SPL:
  . Fixed bug #55701 (GlobIterator throws LogicException). (Valentin VĂLCIU)
  . Fixed bug #72646 (SplFileObject::getCsvControl does not return the escape
    character). (cmb)
  . Fixed bug #72684 (AppendIterator segfault with closed generator). (Pierrick)

- SQLite3:
  . Fixed bug #72668 (Spurious warning when exception is thrown in user defined
    function). (Laruence)
  . Fixed bug #72571 (SQLite3::bindValue, SQLite3::bindParam crash). (Laruence)
  . Implemented FR #72653 (SQLite should allow opening with empty filename).
    (cmb)
  . Updated to SQLite3 3.13.0. (cmb)

- Standard:
  . Fixed bug #72622 (array_walk + array_replace_recursive create references
    from nothing). (Laruence)
  . Fixed bug #72152 (base64_decode $strict fails to detect null byte).
    (Lauri Kenttä)
  . Fixed bug #72263 (base64_decode skips a character after padding in strict
    mode). (Lauri Kenttä)
  . Fixed bug #72264 (base64_decode $strict fails with whitespace between
    padding). (Lauri Kenttä)
  . Fixed bug #72330 (CSV fields incorrectly split if escape char followed by
    UTF chars). (cmb)

- Streams:
  . Fixed bug #41021 (Problems with the ftps wrapper). (vhuk)
  . Fixed bug #54431 (opendir() does not work with ftps:// wrapper). (vhuk)
  . Fixed bug #72667 (opendir() with ftp:// attempts to open data stream for
    non-existent directories). (vhuk)
  . Fixed bug #72771 (ftps:// wrapper is vulnerable to protocol downgrade
    attack). (Stas)

- XMLRPC:
  . Fixed bug #72647 (xmlrpc_encode() unexpected output after referencing
    array elements). (Laruence)

- Wddx:
  . Fixed bug #72564 (boolean always deserialized as "true") (Remi)
  . Fixed bug #72142 (WDDX Packet Injection Vulnerability in
    wddx_serialize_value()). (Taoguang Chen)
  . Fixed bug #72749 (wddx_deserialize allows illegal memory access) (Stas)
  . Fixed bug #72750 (wddx_deserialize null dereference). (Stas)
  . Fixed bug #72790 (wddx_deserialize null dereference with invalid xml).
    (Stas)
  . Fixed bug #72799 (wddx_deserialize null dereference in
    php_wddx_pop_element). (Stas)

- Zip:
  . Fixed bug #72660 (NULL Pointer dereference in zend_virtual_cwd).
    (Laruence)

21 Jul 2016 PHP 7.0.9

- Core:
  . Fixed bug #72508 (strange references after recursive function call and
    "switch" statement). (Laruence)
  . Fixed bug #72513 (Stack-based buffer overflow vulnerability in
    virtual_file_ex). (Stas)
  . Fixed bug #72573 (HTTP_PROXY is improperly trusted by some PHP libraries
    and applications). (Stas)

- bz2:
  . Fixed bug #72613 (Inadequate error handling in bzread()). (Stas)

- CLI:
  . Fixed bug #72484 (SCRIPT_FILENAME shows wrong path if the user specify
    router.php). (Laruence)

- COM:
  . Fixed bug #72498 (variant_date_from_timestamp null dereference). (Anatol)

- Curl:
  . Fixed bug #72541 (size_t overflow lead to heap corruption). (Stas)

- Date:
  . Fixed bug #66836 (DateTime::createFromFormat 'U' with pre 1970 dates fails
    parsing). (derick)

- Exif:
  . Fixed bug #72603 (Out of bound read in exif_process_IFD_in_MAKERNOTE).
    (Stas)
  . Fixed bug #72618 (NULL Pointer Dereference in exif_process_user_comment).
    (Stas)

- GD:
  . Fixed bug #43475 (Thick styled lines have scrambled patterns). (cmb)
  . Fixed bug #53640 (XBM images require width to be multiple of 8). (cmb)
  . Fixed bug #64641 (imagefilledpolygon doesn't draw horizontal line). (cmb)
  . Fixed bug #72512 (gdImageTrueColorToPaletteBody allows arbitrary write/read
    access). (Pierre)
  . Fixed bug #72519 (imagegif/output out-of-bounds access). (Pierre)
  . Fixed bug #72558 (Integer overflow error within _gdContributionsAlloc()).
    (Pierre)
  . Fixed bug #72482 (Ilegal write/read access caused by gdImageAALine
    overflow). (Pierre)
  . Fixed bug #72494 (imagecropauto out-of-bounds access). (Pierre)

- Intl:
  . Fixed bug #72533 (locale_accept_from_http out-of-bounds access). (Stas)

- Mbstring:
  . Fixed bug #72405 (mb_ereg_replace - mbc_to_code (oniguruma) -
    oob read access). (Laruence)
  . Fixed bug #72399 (Use-After-Free in MBString (search_re)). (Laruence)

- mcrypt:
  . Fixed bug #72551, bug #72552 (In correct casting from size_t to int lead to
    heap overflow in mdecrypt_generic). (Stas)

- PDO_pgsql:
  . Fixed bug #72570 (Segmentation fault when binding parameters on a query
    without placeholders). (Matteo)

- PCRE:
  . Fixed bug #72476 (Memleak in jit_stack). (Laruence)
  . Fixed bug #72463 (mail fails with invalid argument). (Anatol)

- Readline:
  . Fixed bug #72538 (readline_redisplay crashes php). (Laruence)

- Standard:
  . Fixed bug #72505 (readfile() mangles files larger than 2G). (Cschneid)
  . Fixed bug #72306 (Heap overflow through proc_open and $env parameter).
    (Laruence)

- Session:
  . Fixed bug #72531 (ps_files_cleanup_dir Buffer overflow). (Laruence)
  . Fixed bug #72562 (Use After Free in unserialize() with Unexpected Session
    Deserialization). (Stas)

- SNMP:
  . Fixed bug #72479 (Use After Free Vulnerability in SNMP with GC and
    unserialize()). (Stas)

- Streams:
  . Fixed bug #72439 (Stream socket with remote address leads to a segmentation
    fault). (Laruence)

- XMLRPC:
  . Fixed bug #72606 (heap-buffer-overflow (write) simplestring_addn
    simplestring.c). (Stas)

- Zip:
  . Fixed bug #72520 (Stack-based buffer overflow vulnerability in
    php_stream_zip_opener). (Stas)

23 Jun 2016 PHP 7.0.8

- Core:
  . Fixed bug #72218 (If host name cannot be resolved then PHP 7 crashes).
    (Esminis at esminis dot lt)
  . Fixed bug #72221 (segfault, past-the-end access). (Lauri Kenttä)
  . Fixed bug #72268 (Integer Overflow in nl2br()). (Stas)
  . Fixed bug #72275 (Integer Overflow in json_encode()/json_decode()/
    json_utf8_to_utf16()). (Stas)
  . Fixed bug #72400 (Integer Overflow in addcslashes/addslashes). (Stas)
  . Fixed bug #72403 (Integer Overflow in Length of String-typed ZVAL). (Stas)

- Date:
  . Fixed bug #63740 (strtotime seems to use both sunday and monday as start of
    week). (Derick)

- FPM:
  . Fixed bug #72308 (fastcgi_finish_request and logging environment
    variables). (Laruence)

- GD:
  . Fixed bug #66387 (Stack overflow with imagefilltoborder). (CVE-2015-8874)
    (cmb)
  . Fixed bug #72298 (pass2_no_dither out-of-bounds access). (Stas)
  . Fixed bug #72337 (invalid dimensions can lead to crash). (Pierre)
  . Fixed bug #72339 (Integer Overflow in _gd2GetHeader() resulting in heap
    overflow). (CVE-2016-5766) (Pierre)
  . Fixed bug #72407 (NULL Pointer Dereference at _gdScaleVert). (Stas)
  . Fixed bug #72446 (Integer Overflow in gdImagePaletteToTrueColor() resulting
    in heap overflow). (CVE-2016-5767) (Pierre)

- Intl:
  . Fixed bug #70484 (selectordinal doesn't work with named parameters).
    (Anatol)

- mbstring:
   . Fixed bug #72402 (_php_mb_regex_ereg_replace_exec - double free).
     (CVE-2016-5768) (Stas)

- mcrypt:
   . Fixed bug #72455 (Heap Overflow due to integer overflows). (CVE-2016-5769)
     (Stas)

- OpenSSL:
  . Fixed bug #72140 (segfault after calling ERR_free_strings()).
    (Jakub Zelenka)

- PCRE:
  . Fixed bug #72143 (preg_replace uses int instead of size_t). (Joe)

- PDO_pgsql:
  . Fixed bug #71573 (Segfault (core dumped) if paramno beyond bound).
    (Laruence)
  . Fixed bug #72294 (Segmentation fault/invalid pointer in connection
    with pgsql_stmt_dtor). (Anatol)

- Phar:
  . Fixed bug #72321 (invalid free in phar_extract_file()).
    (hji at dyntopia dot com)

- Phpdbg:
  . Fixed bug #72284 (phpdbg fatal errors with coverage). (Bob)

- Postgres:
  . Fixed bug #72195 (pg_pconnect/pg_connect cause use-after-free). (Laruence)
  . Fixed bug #72197 (pg_lo_create arbitrary read). (Anatol)

- Standard:
  . Fixed bug #72369 (array_merge() produces references in PHP7). (Dmitry)
  . Fixed bug #72300 (ignore_user_abort(false) has no effect). (Laruence)
  . Fixed bug #72229 (Wrong reference when serialize/unserialize an object).
    (Laruence)
  . Fixed bug #72193 (dns_get_record returns array containing elements of
    type 'unknown'). (Laruence)
  . Fixed bug #72017 (range() with float step produces unexpected result).
    (Thomas Punt)

- WDDX:
  . Fixed bug #72340 (Double Free Courruption in wddx_deserialize).
    (CVE-2016-5772) (Stas)

- XML:
  . Fixed bug #72206 (xml_parser_create/xml_parser_free leaks mem). (Joe)

- XMLRPC:
  . Fixed bug #72155 (use-after-free caused by get_zval_xmlrpc_type).
    (Joe, Laruence)

- Zip:
  . Fixed ug #72258 (ZipArchive converts filenames to unrecoverable form).
    (Anatol)
  . Fixed bug #72434 (ZipArchive class Use After Free Vulnerability in PHP's GC
    algorithm and unserialize). (CVE-2016-5773) (Dmitry)

26 May 2016 PHP 7.0.7

- Core:
  . Fixed bug #72162 (use-after-free - error_reporting). (Laruence)
  . Add compiler option to disable special case function calls. (Joe)
  . Fixed bug #72101 (crash on complex code). (Dmitry)
  . Fixed bug #72100 (implode() inserts garbage into resulting string when
    joins very big integer). (Mikhail Galanin)
  . Fixed bug #72057 (PHP Hangs when using custom error handler and typehint).
    (Nikita Nefedov)
  . Fixed bug #72038 (Function calls with values to a by-ref parameter don't
    always throw a notice). (Bob)
  . Fixed bug #71737 (Memory leak in closure with parameter named $this).
    (Nikita)
  . Fixed bug #72059 (?? is not allowed on constant expressions). (Bob, Marcio)
  . Fixed bug #72159 (Imported Class Overrides Local Class Name). (Nikita)

- Curl:
  . Fixed bug #68658 (Define CURLE_SSL_CACERT_BADFILE). (Pierrick)

- DBA:
  . Fixed bug #72157 (use-after-free caused by dba_open). (Shm, Laruence)

- GD:
  . Fixed bug #72227 (imagescale out-of-bounds read). (Stas)

- Intl:
  . Fixed bug #64524 (Add intl.use_exceptions to php.ini-*). (Anatol)
  . Fixed bug #72241 (get_icu_value_internal out-of-bounds read). (Stas)

- JSON:
  . Fixed bug #72069 (Behavior \JsonSerializable different from json_encode).
    (Laruence)

- Mbstring:
  . Fixed bug #72164 (Null Pointer Dereference - mb_ereg_replace). (Laruence)

- OCI8:
  . Fixed bug #71600 (oci_fetch_all segfaults when selecting more than eight
    columns). (Tian Yang)

- Opcache:
  . Fixed bug #72014 (Including a file with anonymous classes multiple times
    leads to fatal error). (Laruence)

- OpenSSL:
  . Fixed bug #72165 (Null pointer dereference - openssl_csr_new). (Anatol)

- PCNTL:
  . Fixed bug #72154 (pcntl_wait/pcntl_waitpid array internal structure
    overwrite). (Laruence)

- POSIX:
  . Fixed bug #72133 (php_posix_group_to_array crashes if gr_passwd is NULL).
    (esminis at esminis dot lt)

- Postgres:
  . Fixed bug #72028 (pg_query_params(): NULL converts to empty string).
    (Laruence)
  . Fixed bug #71062 (pg_convert() doesn't accept ISO 8601 for datatype
    timestamp). (denver at timothy dot io)
  . Fixed bug #72151 (mysqli_fetch_object changed behaviour). (Anatol)

- Reflection:
  . Fixed bug #72174 (ReflectionProperty#getValue() causes __isset call).
    (Nikita)

- Session:
  . Fixed bug #71972 (Cyclic references causing session_start(): Failed to
    decode session object). (Laruence)

- Sockets:
  . Added socket_export_stream() function for getting a stream compatible
    resource from a socket resource. (Chris Wright, Bob)

- SPL:
  . Fixed bug #72051 (The reference in CallbackFilterIterator doesn't work as
    expected). (Laruence)

- SQLite3:
  . Fixed bug #68849 (bindValue is not using the right data type). (Anatol)

- Standard:
  . Fixed bug #72075 (Referencing socket resources breaks stream_select).
    (Laruence)
  . Fixed bug #72031 (array_column() against an array of objects discards all
    values matching null). (Nikita)

28 Apr 2016 PHP 7.0.6

- Core:
  . Fixed bug #71930 (_zval_dtor_func: Assertion `(arr)->gc.refcount <= 1'
    failed). (Laruence)
  . Fixed bug #71922 (Crash on assert(new class{})). (Nikita)
  . Fixed bug #71914 (Reference is lost in "switch"). (Laruence)
  . Fixed bug #71871 (Interfaces allow final and abstract functions). (Nikita)
  . Fixed Bug #71859 (zend_objects_store_call_destructors operates on realloced
    memory, crashing). (Laruence)
  . Fixed bug #71841 (EG(error_zval) is not handled well). (Laruence)
  . Fixed bug #71750 (Multiple Heap Overflows in php_raw_url_encode/
    php_url_encode). (Stas)
  . Fixed bug #71731 (Null coalescing operator and ArrayAccess). (Nikita)
  . Fixed bug #71609 (Segmentation fault on ZTS with gethostbyname). (krakjoe)
  . Fixed bug #71414 (Inheritance, traits and interfaces). (krakjoe)
  . Fixed bug #71359 (Null coalescing operator and magic). (krakjoe)
  . Fixed bug #71334 (Cannot access array keys while uksort()). (Nikita)
  . Fixed bug #69659 (ArrayAccess, isset() and the offsetExists method).
    (Nikita)
  . Fixed bug #69537 (__debugInfo with empty string for key gives error).
    (krakjoe)
  . Fixed bug #62059 (ArrayObject and isset are not friends). (Nikita)
  . Fixed bug #71980 (Decorated/Nested Generator is Uncloseable in Finally).
    (Nikita)

- BCmath:
  . Fixed bug #72093 (bcpowmod accepts negative scale and corrupts
    _one_ definition). (Stas)

- Curl:
  . Fixed bug #71831 (CURLOPT_NOPROXY applied as long instead of string).
    (Michael Sierks)

- Date:
  . Fixed bug #71889 (DateInterval::format Segmentation fault). (Thomas Punt)

- EXIF:
  . Fixed bug #72094 (Out of bounds heap read access in exif header processing). (Stas)

- GD:
  . Fixed bug #71912 (libgd: signedness vulnerability). (CVE-2016-3074) (Stas)

- Intl:
  . Fixed bug #71516 (IntlDateFormatter looses locale if pattern is set via
    constructor). (Anatol)
  . Fixed bug #70455 (Missing constant: IntlChar::NO_NUMERIC_VALUE). (Anatol)
  . Fixed bug #70451, #70452 (Inconsistencies in return values of IntlChar
    methods). (Daniel Persson)
  . Fixed bug #68893 (Stackoverflow in datefmt_create). (Anatol)
  . Fixed bug #66289 (Locale::lookup incorrectly returns en or en_US if locale
    is empty). (Anatol)
  . Fixed bug #70484 (selectordinal doesn't work with named parameters).
    (Anatol)
  . Fixed bug #72061 (Out-of-bounds reads in zif_grapheme_stripos with negative
    offset). (Stas)

- ODBC:
  . Fixed bug #63171 (Script hangs after max_execution_time). (Remi)

- Opcache:
  . Fixed bug #71843 (null ptr deref ZEND_RETURN_SPEC_CONST_HANDLER).
    (Laruence)

- PDO:
  . Fixed bug #52098 (Own PDOStatement implementation ignore __call()).
    (Daniel kalaspuffar, Julien)
  . Fixed bug #71447 (Quotes inside comments not properly handled). (Matteo)

- PDO_DBlib:
  . Fixed bug #71943 (dblib_handle_quoter needs to allocate an extra byte).
    (Adam Baratz)
  . Add DBLIB-specific attributes for controlling timeouts. (Adam Baratz)

- PDO_pgsql:
  . Fixed bug #62498 (pdo_pgsql inefficient when getColumnMeta() is used).
    (Joseph Bylund)

- Postgres:
  . Fixed bug #71820 (pg_fetch_object binds parameters before call
    constructor). (Anatol)
  . Fixed bug #71998 (Function pg_insert does not insert when column
    type = inet). (Anatol)

- SOAP:
  . Fixed bug #71986 (Nested foreach assign-by-reference creates broken
    variables). (Laruence)

- SPL:
  . Fixed bug #71838 (Deserializing serialized SPLObjectStorage-Object can't
    access properties in PHP). (Nikita)
  . Fixed bug #71735 (Double-free in SplDoublyLinkedList::offsetSet). (Stas)
  . Fixed bug #67582 (Cloned SplObjectStorage with overwritten getHash fails
    offsetExists()). (Nikita)
  . Fixed bug #52339 (SPL autoloader breaks class_exists()). (Nikita)

- Standard:
  . Fixed bug #71995 (Returning the same var twice from __sleep() produces
    broken serialized data). (Laruence)
  . Fixed bug #71940 (Unserialize crushes on restore object reference).
    (Laruence)
  . Fixed bug #71969 (str_replace returns an incorrect resulting array after
    a foreach by reference). (Laruence)
  . Fixed bug #71891 (header_register_callback() and
    register_shutdown_function()). (Laruence)
  . Fixed bug #71884 (Null pointer deref (segfault) in
    stream_context_get_default). (Laruence)
  . Fixed bug #71840 (Unserialize accepts wrongly data). (Ryat, Laruence)
  . Fixed bug #71837 (Wrong arrays behaviour). (Laruence)
  . Fixed bug #71827 (substr_replace bug, string length). (krakjoe)
  . Fixed bug #67512 (php_crypt() crashes if crypt_r() does not exist or
    _REENTRANT is not defined). (Nikita)
  . Fixed bug #72116 (array_fill optimization breaks implementation). (Bob)

- XML:
  . Fixed bug #72099 (xml_parse_into_struct segmentation fault). (Stas)

- Zip:
  . Fixed bug #71923 (integer overflow in ZipArchive::getFrom*).
    (CVE-2016-3078) (Stas)

31 Mar 2016 PHP 7.0.5

- Core:
  . Huge pages disabled by default. (Rasmus)
  . Added ability to enable huge pages in Zend Memory Manager through
    the environment variable USE_ZEND_ALLOC_HUGE_PAGES=1. (Dmitry)
  . Fixed bug #71756 (Call-by-reference widens scope to uninvolved functions
    when used in switch). (Laruence)
  . Fixed bug #71729 (Possible crash in zend_bin_strtod, zend_oct_strtod,
    zend_hex_strtod). (Laruence)
  . Fixed bug #71695 (Global variables are reserved before execution).
    (Laruence)
  . Fixed bug #71629 (Out-of-bounds access in php_url_decode in context
    php_stream_url_wrap_rfc2397). (mt at debian dot org)
  . Fixed bug #71622 (Strings used in pass-as-reference cannot be used to
    invoke C::$callable()). (Bob)
  . Fixed bug #71596 (Segmentation fault on ZTS with date function
    (setlocale)). (Anatol)
  . Fixed bug #71535 (Integer overflow in zend_mm_alloc_heap()). (Dmitry)
  . Fixed bug #71470 (Leaked 1 hashtable iterators). (Nikita)
  . Fixed bug #71575 (ISO C does not allow extra ‘;’ outside of a function).
    (asgrim)
  . Fixed bug #71724 (yield from does not count EOLs). (Nikita)
  . Fixed bug #71767 (ReflectionMethod::getDocComment returns the wrong
    comment). (Grigorii Sokolik)
  . Fixed bug #71806 (php_strip_whitespace() fails on some numerical values).
    (Nikita)
  . Fixed bug #71624 (`php -R` (PHP_MODE_PROCESS_STDIN) is broken).
    (Sean DuBois)

- CLI Server:
  . Fixed bug #69953 (Support MKCALENDAR request method). (Christoph)

- Curl:
  . Fixed bug #71694 (Support constant CURLM_ADDED_ALREADY). (mpyw)

- Date:
  . Fixed bug #71635 (DatePeriod::getEndDate segfault). (Thomas Punt)

- Fileinfo:
  . Fixed bug #71527 (Buffer over-write in finfo_open with malformed magic
    file). (CVE-2015-8865) (Anatol)

- libxml:
  . Fixed bug #71536 (Access Violation crashes php-cgi.exe). (Anatol)

- mbstring:
  . Fixed bug #71906 (AddressSanitizer: negative-size-param (-1) in
    mbfl_strcut). (CVE-2016-4073) (Stas)

- ODBC:
  . Fixed bug #47803, #69526 (Executing prepared statements is succesfull only
    for the first two statements). (einavitamar at gmail dot com, Anatol)

- PCRE:
  . Fixed bug #71659 (segmentation fault in pcre running twig tests).
    (nish dot aravamudan at canonical dot com)

- PDO_DBlib:
  . Fixed bug #54648 (PDO::MSSQL forces format of datetime fields).
    (steven dot lambeth at gmx dot de, Anatol)

- Phar:
  . Fixed bug #71625 (Crash in php7.dll with bad phar filename). (Anatol)
  . Fixed bug #71317 (PharData fails to open specific file). (Jos Elstgeest)
  . Fixed bug #71860 (Invalid memory write in phar on filename with \0 in
    name). (CVE-2016-4072) (Stas)

- phpdbg:
  . Fixed crash when advancing (except step) inside an internal function. (Bob)

- Session:
  . Fixed bug #71683 (Null pointer dereference in zend_hash_str_find_bucket).
    (Yasuo)

- SNMP:
  . Fixed bug #71704 (php_snmp_error() Format String Vulnerability).
    (CVE-2016-4071) (andrew at jmpesp dot org)

- SPL:
  . Fixed bug #71617 (private properties lost when unserializing ArrayObject).
    (Nikita)

- Standard:
  . Fixed bug #71660 (array_column behaves incorrectly after foreach by
    reference). (Laruence)
  . Fixed bug #71798 (Integer Overflow in php_raw_url_encode). (CVE-2016-4070)
    (taoguangchen at icloud dot com, Stas)

- Zip:
  . Update bundled libzip to 1.1.2. (Remi, Anatol)

03 Mar 2016 PHP 7.0.4

- Core:
  . Fixed bug (Low probability segfault in zend_arena). (Laruence)
  . Fixed bug #71441 (Typehinted Generator with return in try/finally crashes).
    (Bob)
  . Fixed bug #71442 (forward_static_call crash). (Laruence)
  . Fixed bug #71443 (Segfault using built-in webserver with intl using
    symfony). (Laruence)
  . Fixed bug #71449 (An integer overflow bug in php_implode()). (Stas)
  . Fixed bug #71450 (An integer overflow bug in php_str_to_str_ex()). (Stas)
  . Fixed bug #71474 (Crash because of VM stack corruption on Magento2).
    (Dmitry)
  . Fixed bug #71485 (Return typehint on internal func causes Fatal error
    when it throws exception). (Laruence)
  . Fixed bug #71529 (Variable references on array elements don't work when
    using count). (Nikita)
  . Fixed bug #71601 (finally block not executed after yield from). (Bob)
  . Fixed bug #71637 (Multiple Heap Overflow due to integer overflows in
    xml/filter_url/addcslashes). (CVE-2016-4344, CVE-2016-4345, CVE-2016-4346)
    (Stas)

- CLI server:
  . Fixed bug #71559 (Built-in HTTP server, we can download file in web by bug).
    (Johannes, Anatol)

- CURL:
  . Fixed bug #71523 (Copied handle with new option CURLOPT_HTTPHEADER crashes
    while curl_multi_exec). (Laruence)
  . Fixed memory leak in curl_getinfo(). (Leigh)

- Date:
  . Fixed bug #71525 (Calls to date_modify will mutate timelib_rel_time,
    causing date_date_set issues). (Sean DuBois)

- Fileinfo:
  . Fixed bug #71434 (finfo throws notice for specific python file). (Laruence)

- FPM:
  . Fixed bug #62172 (FPM not working with Apache httpd 2.4 balancer/fcgi
    setup). (Matt Haught, Remi)
  . Fixed bug #71269 (php-fpm dumped core). (Mickaël)

- Opcache:
  . Fixed bug #71584 (Possible use-after-free of ZCG(cwd) in Zend Opcache).
    (Yussuf Khalil)

- PCRE:
  . Fixed bug #71537 (PCRE segfault from Opcache). (Laruence)

- phpdbg:
  . Fixed inherited functions from unspecified files being included in
    phpdbg_get_executable(). (Bob)

- SOAP:
  . Fixed bug #71610 (Type Confusion Vulnerability - SOAP /
    make_http_soap_request()). (CVE-2016-3185) (Stas)

- Standard:
  . Fixed bug #71603 (compact() maintains references in php7). (Laruence)
  . Fixed bug #70720 (strip_tags improper php code parsing). (Julien)

- XMLRPC:
  . Fixed bug #71501 (xmlrpc_encode_request ignores encoding option). (Hieu Le)

- Zip:
  . Fixed bug #71561 (NULL pointer dereference in Zip::ExtractTo). (Laruence)

04 Feb 2016 PHP 7.0.3

- Core:
  . Added support for new HTTP 451 code. (Julien)
  . Fixed bug #71039 (exec functions ignore length but look for NULL
    termination). (Anatol)
  . Fixed bug #71089 (No check to duplicate zend_extension). (Remi)
  . Fixed bug #71201 (round() segfault on 64-bit builds). (Anatol)
  . Fixed bug #71221 (Null pointer deref (segfault) in get_defined_vars via
    ob_start). (hugh at allthethings dot co dot nz)
  . Fixed bug #71248 (Wrong interface is enforced). (Dmitry)
  . Fixed bug #71273 (A wrong ext directory setup in php.ini leads to crash).
    (Anatol)
  . Fixed Bug #71275 (Bad method called on cloning an object having a trait).
    (Bob)
  . Fixed bug #71297 (Memory leak with consecutive yield from). (Bob)
  . Fixed bug #71300 (Segfault in zend_fetch_string_offset). (Laruence)
  . Fixed bug #71314 (var_export(INF) prints INF.0). (Andrea)
  . Fixed bug #71323 (Output of stream_get_meta_data can be falsified by its
    input). (Leo Gaspard)
  . Fixed bug #71336 (Wrong is_ref on properties as exposed via
    get_object_vars()). (Laruence)
  . Fixed bug #71459 (Integer overflow in iptcembed()). (Stas)

- Apache2handler:
  . Fix >2G Content-Length headers in apache2handler. (Adam Harvey)

- CURL:
  . Fixed bug #71227 (Can't compile php_curl statically). (Anatol)
  . Fixed bug #71225 (curl_setopt() fails to set CURLOPT_POSTFIELDS with
    reference to CURLFile). (Laruence)

- GD:
  . Improved fix for bug #70976. (Remi)

- Interbase:
  . Fixed Bug #71305 (Crash when optional resource is omitted).
  (Laruence, Anatol)

- LDAP:
  . Fixed bug #71249 (ldap_mod_replace/ldap_mod_add store value as string
    "Array"). (Laruence)

- mbstring:
  . Fixed bug #71397 (mb_send_mail segmentation fault). (Andrea, Yasuo)

- OpenSSL:
  . Fixed bug #71475 (openssl_seal() uninitialized memory usage). (Stas)

- PCRE:
  . Upgraded pcrelib to 8.38. (CVE-2015-8383, CVE-2015-8386, CVE-2015-8387,
    CVE-2015-8389, CVE-2015-8390, CVE-2015-8391, CVE-2015-8393, CVE-2015-8394)

- Phar:
  . Fixed bug #71354 (Heap corruption in tar/zip/phar parser). (CVE-2016-4342)
    (Stas)
  . Fixed bug #71331 (Uninitialized pointer in phar_make_dirstream()).
    (CVE-2016-4343) (Stas)
  . Fixed bug #71391 (NULL Pointer Dereference in phar_tar_setupmetadata()).
    (Stas)
  . Fixed bug #71488 (Stack overflow when decompressing tar archives).
    (CVE-2016-2554) (Stas)

- SOAP:
  . Fixed bug #70979 (crash with bad soap request). (Anatol)

- SPL:
  . Fixed bug #71204 (segfault if clean spl_autoload_funcs while autoloading).
    (Laruence)
  . Fixed bug #71202 (Autoload function registered by another not activated
    immediately). (Laruence)
  . Fixed bug #71311 (Use-after-free vulnerability in SPL(ArrayObject,
    unserialize)). (Sean Heelan)
  . Fixed bug #71313 (Use-after-free vulnerability in SPL(SplObjectStorage,
    unserialize)). (Sean Heelan)

- Standard:
  . Fixed bug #71287 (Error message contains hexadecimal instead of decimal
    number). (Laruence)
  . Fixed bug #71264 (file_put_contents() returns unexpected value when
    filesystem runs full). (Laruence)
  . Fixed bug #71245 (file_get_contents() ignores "header" context option if
    it's a reference). (Laruence)
  . Fixed bug #71220 (Null pointer deref (segfault) in compact via ob_start).
    (hugh at allthethings dot co dot nz)
  . Fixed bug #71190 (substr_replace converts integers in original $search
    array to strings). (Laruence)
  . Fixed bug #71188 (str_replace converts integers in original $search array
    to strings). (Laruence)
  . Fixed bug #71132, #71197 (range() segfaults). (Thomas Punt)

- WDDX:
  . Fixed bug #71335 (Type Confusion in WDDX Packet Deserialization). (Stas)

07 Jan 2016 PHP 7.0.2

- Core:
  . Fixed bug #71165 (-DGC_BENCH=1 doesn't work on PHP7).
    (y dot uchiyama dot 1015 at gmail dot com)
  . Fixed bug #71163 (Segmentation Fault: cleanup_unfinished_calls). (Laruence)
  . Fixed bug #71109 (ZEND_MOD_CONFLICTS("xdebug") doesn't work). (Laruence)
  . Fixed bug #71092 (Segmentation fault with return type hinting). (Laruence)
  . Fixed bug memleak in header_register_callback. (Laruence)
  . Fixed bug #71067 (Local object in class method stays in memory for each
    call). (Laruence)
  . Fixed bug #66909 (configure fails utf8_to_mutf7 test). (Michael Orlitzky)
  . Fixed bug #70781 (Extension tests fail on dynamic ext dependency).
    (Francois Laupretre)
  . Fixed bug #71089 (No check to duplicate zend_extension). (Remi)
  . Fixed bug #71086 (Invalid numeric literal parse error within
    highlight_string() function). (Nikita)
  . Fixed bug #71154 (Incorrect HT iterator invalidation causes iterator reuse).
    (Nikita)
  . Fixed bug #52355 (Negating zero does not produce negative zero). (Andrea)
  . Fixed bug #66179 (var_export() exports float as integer). (Andrea)
  . Fixed bug #70804 (Unary add on negative zero produces positive zero).
    (Andrea)

- CURL:
  . Fixed bug #71144 (Sementation fault when using cURL with ZTS).
    (Michael Maroszek, Laruence)

- DBA:
  . Fixed key leak with invalid resource. (Laruence)

- Filter:
  . Fixed bug #71063 (filter_input(INPUT_ENV, ..) does not work). (Reeze Xia)

- FPM:
  . Fixed bug #70755 (fpm_log.c memory leak and buffer overflow). (Stas)

- FTP:
  . Implemented FR #55651 (Option to ignore the returned FTP PASV address).
    (abrender at elitehosts dot com)

- GD:
  . Fixed bug #70976 (Memory Read via gdImageRotateInterpolated Array Index
    Out of Bounds). (CVE-2016-1903) (emmanuel dot law at gmail dot com)

- Mbstring:
  . Fixed bug #71066 (mb_send_mail: Program terminated with signal SIGSEGV,
    Segmentation fault). (Laruence)

- Opcache:
  . Fixed bug #71127 (Define in auto_prepend_file is overwrite). (Laruence)

- PCRE:
  . Fixed bug #71178 (preg_replace with arrays creates [0] in replace array
    if not already set). (Laruence)

- Readline:
  . Fixed bug #71094 (readline_completion_function corrupts static array on
    second TAB). (Nikita)

- Session:
  . Fixed bug #71122 (Session GC may not remove obsolete session data). (Yasuo)

- SPL:
  . Fixed bug #71077 (ReflectionMethod for ArrayObject constructor returns
    wrong number of parameters). (Laruence)
  . Fixed bug #71153 (Performance Degradation in ArrayIterator with large
    arrays). (Nikita)

- Standard:
  . Fixed bug #71270 (Heap BufferOver Flow in escapeshell functions).
    (CVE-2016-1904) (emmanuel dot law at gmail dot com)

- WDDX:
  . Fixed bug #70661 (Use After Free Vulnerability in WDDX Packet
    Deserialization). (taoguangchen at icloud dot com)
  . Fixed bug #70741 (Session WDDX Packet Deserialization Type Confusion
    Vulnerability). (taoguangchen at icloud dot com)

- XMLRPC:
  . Fixed bug #70728 (Type Confusion Vulnerability in PHP_to_XMLRPC_worker).
    (Julien)

17 Dec 2015, PHP 7.0.1

- Core:
  . Fixed bug #71105 (Format String Vulnerability in Class Name Error Message).
    (CVE-2015-8617) (andrew at jmpesp dot org)
  . Fixed bug #70831 (Compile fails on system with 160 CPUs). (Daniel Axtens)
  . Fixed bug #71006 (symbol referencing errors on Sparc/Solaris). (Dmitry)
  . Fixed bug #70997 (When using parentClass:: instead of parent::, static
    context changed). (Dmitry)
  . Fixed bug #70970 (Segfault when combining error handler with output
    buffering). (Laruence)
  . Fixed bug #70967 (Weird error handling for __toString when Error is
    thrown). (Laruence)
  . Fixed bug #70958 (Invalid opcode while using ::class as trait method
    paramater default value). (Laruence)
  . Fixed bug #70944 (try{ } finally{} can create infinite chains of
    exceptions). (Laruence)
  . Fixed bug #70931 (Two errors messages are in conflict). (dams, Laruence)
  . Fixed bug #70904 (yield from incorrectly marks valid generator as
    finished). (Bob)
  . Fixed bug #70899 (buildconf failure in extensions). (Bob, Reeze)
  . Fixed bug #61751 (SAPI build problem on AIX: Undefined symbol:
    php_register_internal_extensions). (Lior Kaplan)
  . Fixed \int (or generally every scalar type name with leading backslash)
    to not be accepted as type name. (Bob)
  . Fixed exception not being thrown immediately into a generator yielding
    from an array. (Bob)
  . Fixed bug #70987 (static::class within Closure::call() causes segfault).
    (Andrea)
  . Fixed bug #71013 (Incorrect exception handler with yield from). (Bob)
  . Fixed double free in error condition of format printer. (Bob)

- CLI server:
  . Fixed bug #71005 (Segfault in php_cli_server_dispatch_router()). (Adam)

- Intl:
  . Fixed bug #71020 (Use after free in Collator::sortWithSortKeys).
    (CVE-2015-8616) (emmanuel dot law at gmail dot com, Laruence)

- Mysqlnd:
  . Fixed bug #68077 (LOAD DATA LOCAL INFILE / open_basedir restriction).
    (Laruence)
  . Fixed bug #68344 (MySQLi does not provide way to disable peer certificate
    validation) by introducing MYSQLI_CLIENT_SSL_DONT_VERIFY_SERVER_CERT
    connection flag. (Andrey)

- OCI8:
  . Fixed LOB implementation size_t/zend_long mismatch reported by gcov.
    (Senthil)

- Opcache:
  . Fixed bug #71024 (Unable to use PHP 7.0 x64 side-by-side with PHP 5.6 x32
    on the same server). (Anatol)
  . Fixed bug #70991 (zend_file_cache.c:710: error: array type has incomplete
    element type). (Laruence)
  . Fixed bug #70977 (Segmentation fault with opcache.huge_code_pages=1).
    (Laruence)

- PDO_Firebird:
  . Fixed bug #60052 (Integer returned as a 64bit integer on X64_86). (Mariuz)

- Phpdbg:
  . Fixed stderr being written to stdout. (Bob)

- Reflection:
  . Fixed bug #71018 (ReflectionProperty::setValue() behavior changed).
    (Laruence)
  . Fixed bug #70982 (setStaticPropertyValue behaviors inconsistently with
    5.6). (Laruence)

- Soap:
  . Fixed bug #70993 (Array key references break argument processing).
    (Laruence)

- SPL:
  . Fixed bug #71028 (Undefined index with ArrayIterator). (Laruence)

- SQLite3:
  . Fixed bug #71049 (SQLite3Stmt::execute() releases bound parameter instead
    of internal buffer). (Laruence)

- Standard:
  . Fixed bug #70999 (php_random_bytes: called object is not a function).
    (Scott)
  . Fixed bug #70960 (ReflectionFunction for array_unique returns wrong number
    of parameters). (Laruence)

- Streams/Socket:
  . Add IPV6_V6ONLY constant / make it usable in stream contexts. (Bob)

03 Dec 2015, PHP 7.0.0

- Core:
  . Fixed bug #70947 (INI parser segfault with INI_SCANNER_TYPED). (Laruence)
  . Fixed bug #70914 (zend_throw_or_error() format string vulnerability).
    (Taoguang Chen)
  . Fixed bug #70912 (Null ptr dereference instantiating class with invalid
    array property). (Laruence)
  . Fixed bug #70895, #70898 (null ptr deref and segfault with crafted calable).
    (Anatol, Laruence)
  . Fixed bug #70249 (Segmentation fault while running PHPUnit tests on
    phpBB 3.2-dev). (Laruence)
  . Fixed bug #70805 (Segmentation faults whilst running Drupal 8 test suite).
    (Dmitry, Laruence)
  . Fixed bug #70842 (Persistent Stream Segmentation Fault). (Caleb Champlin)
  . Fixed bug #70862 (Several functions do not check return code of
    php_stream_copy_to_mem()). (Anatol)
  . Fixed bug #70863 (Incorect logic to increment_function for proxy objects).
    (Anatol)
  . Fixed bug #70323 (Regression in zend_fetch_debug_backtrace() can cause
    segfaults). (Aharvey, Laruence)
  . Fixed bug #70873 (Regression on private static properties access).
    (Laruence)
  . Fixed bug #70748 (Segfault in ini_lex () at Zend/zend_ini_scanner.l).
   (Laruence)
  . Fixed bug #70689 (Exception handler does not work as expected). (Laruence)
  . Fixed bug #70430 (Stack buffer overflow in zend_language_parser()). (Nikita)
  . Fixed bug #70782 (null ptr deref and segfault (zend_get_class_fetch_type)).
    (Nikita)
  . Fixed bug #70785 (Infinite loop due to exception during identical
    comparison). (Laruence)
  . Fixed bug #70630 (Closure::call/bind() crash with ReflectionFunction->
    getClosure()). (Dmitry, Bob)
  . Fixed bug #70662 (Duplicate array key via undefined index error handler).
    (Nikita)
  . Fixed bug #70681 (Segfault when binding $this of internal instance method
    to null). (Nikita)
  . Fixed bug #70685 (Segfault for getClosure() internal method rebind with
    invalid $this). (Nikita)
  . Added zend_internal_function.reserved[] fields. (Dmitry)
  . Fixed bug #70557 (Memleak on return type verifying failed). (Laruence)
  . Fixed bug #70555 (fun_get_arg() on unsetted vars return UNKNOW). (Laruence)
  . Fixed bug #70548 (Redundant information printed in case of uncaught engine
    exception). (Laruence)
  . Fixed bug #70547 (unsetting function variables corrupts backtrace).
    (Laruence)
  . Fixed bug #70528 (assert() with instanceof adds apostrophes around class
    name). (Laruence)
  . Fixed bug #70481 (Memory leak in auto_global_copy_ctor() in ZTS build).
    (Laruence)
  . Fixed bug #70431 (Memory leak in php_ini.c). (Senthil, Laruence)
  . Fixed bug #70478 (**= does no longer work). (Bob)
  . Fixed bug #70398 (SIGSEGV, Segmentation fault zend_ast_destroy_ex).
    (Dmitry, Bob, Laruence)
  . Fixed bug #70332 (Wrong behavior while returning reference on object).
    (Laruence, Dmitry)
  . Fixed bug #70300 (Syntactical inconsistency with new group use syntax).
    (marcio dot web2 at gmail dot com)
  . Fixed bug #70321 (Magic getter breaks reference to array property).
    (Laruence)
  . Fixed bug #70187 (Notice: unserialize(): Unexpected end of serialized
    data). (Dmitry)
  . Fixed bug #70145 (From field incorrectly parsed from headers). (Anatol)
  . Fixed bug #70370 (Bundled libtool.m4 doesn't handle FreeBSD 10 when
    building extensions). (Adam)
  . Fixed bug causing exception traces with anon classes to be truncated. (Bob)
  . Fixed bug #70397 (Segmentation fault when using Closure::call and yield).
    (Bob)
  . Fixed bug #70299 (Memleak while assigning object offsetGet result).
    (Laruence)
  . Fixed bug #70288 (Apache crash related to ZEND_SEND_REF). (Laruence)
  . Fixed bug #70262 (Accessing array crashes PHP 7.0beta3).
    (Laruence, Dmitry)
  . Fixed bug #70258 (Segfault if do_resize fails to allocated memory).
    (Laruence)
  . Fixed bug #70253 (segfault at _efree () in zend_alloc.c:1389). (Laruence)
  . Fixed bug #70240 (Segfault when doing unset($var());). (Laruence)
  . Fixed bug #70223 (Incrementing value returned by magic getter). (Laruence)
  . Fixed bug #70215 (Segfault when __invoke is static). (Bob)
  . Fixed bug #70207 (Finally is broken with opcache). (Laruence, Dmitry)
  . Fixed bug #70173 (ZVAL_COPY_VALUE_EX broken for 32bit Solaris Sparc).
    (Laruence, cmb)
  . Fixed bug #69487 (SAPI may truncate POST data). (cmb)
  . Fixed bug #70198 (Checking liveness does not work as expected).
    (Shafreeck Sea, Anatol Belski)
  . Fixed bug #70241,#70293 (Skipped assertions affect Generator returns). (Bob)
  . Fixed bug #70239 (Creating a huge array doesn't result in exhausted,
    but segfault). (Laruence, Anatol)
  . Fixed "finally" issues. (Nikita, Dmitry)
  . Fixed bug #70098 (Real memory usage doesn't decrease). (Dmitry)
  . Fixed bug #70159 (__CLASS__ is lost in closures). (Julien)
  . Fixed bug #70156 (Segfault in zend_find_alias_name). (Laruence)
  . Fixed bug #70124 (null ptr deref / seg fault in ZEND_HANDLE_EXCEPTION).
    (Laruence)
  . Fixed bug #70117 (Unexpected return type error). (Laruence)
  . Fixed bug #70106 (Inheritance by anonymous class). (Bob)
  . Fixed bug #69674 (SIGSEGV array.c:953). (cmb)
  . Fixed bug #70164 (__COMPILER_HALT_OFFSET__ under namespace is not defined).
    (Bob)
  . Fixed bug #70108 (sometimes empty $_SERVER['QUERY_STRING']). (Anatol)
  . Fixed bug #70179 ($this refcount issue). (Bob)
  . Fixed bug #69896 ('asm' operand has impossible constraints). (Anatol)
  . Fixed bug #70183 (null pointer deref (segfault) in zend_eval_const_expr).
    (Hugh Davenport)
  . Fixed bug #70182 (Segfault in ZEND_ASSIGN_DIV_SPEC_CV_UNUSED_HANDLER).
    (Hugh Davenport)
  . Fixed bug #69793 (Remotely triggerable stack exhaustion via recursive
    method calls). (Stas)
  . Fixed bug #69892 (Different arrays compare indentical due to integer key
    truncation). (Nikita)
  . Fixed bug #70121 (unserialize() could lead to unexpected methods execution
    / NULL pointer deref). (Stas)
  . Fixed bug #70089 (segfault at ZEND_FETCH_DIM_W_SPEC_VAR_CONST_HANDLER ()).
    (Laruence)
  . Fixed bug #70057 (Build failure on 32-bit Mac OS X 10.6.8: recursive
    inlining). (Laruence)
  . Fixed bug #70012 (Exception lost with nested finally block). (Laruence)
  . Fixed bug #69996 (Changing the property of a cloned object affects the
    original). (Dmitry, Laruence)
  . Fixed bug #70083 (Use after free with assign by ref to overloaded objects).
    (Bob)
  . Fixed bug #70006 (cli - function with default arg = STDOUT crash output).
    (Laruence)
  . Fixed bug #69521 (Segfault in gc_collect_cycles()).
    (arjen at react dot com, Laruence)
  . Improved zend_string API. (Francois Laupretre)
  . Fixed bug #69955 (Segfault when trying to combine [] and assign-op on
    ArrayAccess object). (Laruence)
  . Fixed bug #69957 (Different ways of handling div/mod/intdiv). (Bob)
  . Fixed bug #69900 (Too long timeout on pipes). (Anatol)
  . Fixed bug #69872 (uninitialised value in strtr with array). (Laruence)
  . Fixed bug #69868 (Invalid read of size 1 in zend_compile_short_circuiting).
    (Laruence)
  . Fixed bug #69849 (Broken output of apache_request_headers). (Kalle)
  . Fixed bug #69840 (iconv_substr() doesn't work with UTF-16BE). (Kalle)
  . Fixed bug #69823 (PHP 7.0.0alpha1 segmentation fault when exactly 33
    extensions are loaded). (Laruence)
  . Fixed bug #69805 (null ptr deref and seg fault in zend_resolve_class_name).
    (Laruence)
  . Fixed bug #69802 (Reflection on Closure::__invoke borks type hint class
    name). (Dmitry)
  . Fixed bug #69761 (Serialization of anonymous classes should be prevented).
    (Laruence)
  . Fixed bug #69551 (parse_ini_file() and parse_ini_string() segmentation
    fault). (Christoph M. Becker)
  . Fixed bug #69781 (phpinfo() reports Professional Editions of Windows
    7/8/8.1/10 as "Business"). (Christian Wenz)
  . Fixed bug #69835 (phpinfo() does not report many Windows SKUs).
    (Christian Wenz)
  . Fixed bug #69889 (Null coalesce operator doesn't work for string offsets).
    (Nikita)
  . Fixed bug #69891 (Unexpected array comparison result). (Nikita)
  . Fixed bug #69892 (Different arrays compare indentical due to integer key
    truncation). (Nikita)
  . Fixed bug #69893 (Strict comparison between integer and empty string keys
    crashes). (Nikita)
  . Fixed bug #69767 (Default parameter value with wrong type segfaults).
    (cmb, Laruence)
  . Fixed bug #69756 (Fatal error: Nesting level too deep - recursive dependency
    ? with ===). (Dmitry, Laruence)
  . Fixed bug #69758 (Item added to array not being removed by array_pop/shift
    ). (Laruence)
  . Fixed bug #68475 (Add support for $callable() sytnax with 'Class::method').
    (Julien, Aaron Piotrowski)
  . Fixed bug #69485 (Double free on zend_list_dtor). (Laruence)
  . Fixed bug #69427 (Segfault on magic method __call of private method in
    superclass). (Laruence)
  . Improved __call() and __callStatic() magic method handling. Now they are
    called in a stackless way using ZEND_CALL_TRAMPOLINE opcode, without
    additional stack frame. (Laruence, Dmitry)
  . Optimized strings concatenation. (Dmitry, Laruence)
  . Fixed weird operators behavior. Division by zero now emits warning and
    returns +/-INF, modulo by zero and intdid() throws an exception, shifts
    by negative offset throw exceptions. Compile-time evaluation of division
    by zero is disabled. (Dmitry, Andrea, Nikita)
  . Fixed bug #69371 (Hash table collision leads to inaccessible array keys).
    (Laruence)
  . Fixed bug #68933 (Invalid read of size 8 in zend_std_read_property).
    (Laruence, arjen at react dot com)
  . Fixed bug #68252 (segfault in Zend/zend_hash.c in function
    _zend_hash_del_el). (Laruence)
  . Fixed bug #65598 (Closure executed via static autoload incorrectly marked as
    static). (Nikita)
  . Fixed bug #66811 (Cannot access static::class in lambda, writen outside of a
    class). (Nikita)
  . Fixed bug #69568 (call a private function in closure failed). (Nikita)
  . Added PHP_INT_MIN constant. (Andrea)
  . Added Closure::call() method. (Andrea)
  . Fixed bug #67959 (Segfault when calling phpversion('spl')). (Florian)
  . Implemented the RFC `Catchable "Call to a member function bar() on a
    non-object"`. (Timm)
  . Added options parameter for unserialize allowing to specify acceptable
    classes (https://wiki.php.net/rfc/secure_unserialize). (Stas)
  . Fixed bug #63734 (Garbage collector can free zvals that are still
    referenced). (Dmitry)
  . Removed ZEND_ACC_FINAL_CLASS, promoting ZEND_ACC_FINAL as final class
    modifier. (Guilherme Blanco)
  . is_long() & is_integer() is now an alias of is_int(). (Kalle)
  . Implemented FR #55467 (phpinfo: PHP Variables with $ and single quotes). (Kalle)
  . Added ?? operator. (Andrea)
  . Added <=> operator. (Andrea)
  . Added \u{xxxxx} Unicode Codepoint Escape Syntax. (Andrea)
  . Fixed oversight where define() did not support arrays yet const syntax did.
    (Andrea, Dmitry)
  . Use "integer" and "float" instead of "long" and "double" in ZPP, type hint
    and conversion error messages. (Andrea)
  . Implemented FR #55428 (E_RECOVERABLE_ERROR when output buffering in output
    buffering handler). (Kalle)
  . Removed scoped calls of non-static methods from an incompatible $this
    context. (Nikita)
  . Removed support for #-style comments in ini files. (Nikita)
  . Removed support for assigning the result of new by reference. (Nikita)
  . Invalid octal literals in source code now produce compile errors, fixes
    PHPSadness #31. (Andrea)
  . Removed dl() function on fpm-fcgi. (Nikita)
  . Removed support for hexadecimal numeric strings. (Nikita)
  . Removed obsolete extensions and SAPIs. See the full list in UPGRADING. (Anatol)
  . Added NULL byte protection to exec, system and passthru. (Yasuo)
  . Added error_clear_last() function. (Reeze Xia)
  . Fixed bug #68797 (Number 2.2250738585072012e-308 converted incorrectly).
    (Anatol)
  . Improved zend_qsort(using hybrid sorting algo) for better performance,
    and also renamed zend_qsort to zend_sort. (Laruence)
  . Added stable sorting algo zend_insert_sort. (Laruence)
  . Improved zend_memnchr(using sunday algo) for better performance. (Laruence)
  . Implemented the RFC `Scalar Type Decalarations v0.5`. (Anthony)
  . Implemented the RFC `Group Use Declarations`. (Marcio)
  . Implemented the RFC `Continue Output Buffering`. (Mike)
  . Implemented the RFC `Constructor behaviour of internal classes`. (Dan, Dmitry)
  . Implemented the RFC `Fix "foreach" behavior`. (Dmitry)
  . Implemented the RFC `Generator Delegation`. (Bob)
  . Implemented the RFC `Anonymous Class Support`. (Joe, Nikita, Dmitry)
  . Implemented the RFC `Context Sensitive Lexer`. (Marcio Almada)
  . Fixed bug #69511 (Off-by-one buffer overflow in php_sys_readlink).
    (Jan Starke, Anatol)

- CLI server:
  . Fixed bug #68291 (404 on urls with '+'). (cmb)
  . Fixed bug #66606 (Sets HTTP_CONTENT_TYPE but not CONTENT_TYPE).
    (wusuopu, cmb)
  . Fixed bug #70264 (CLI server directory traversal). (cmb)
  . Fixed bug #69655 (php -S changes MKCALENDAR request method to MKCOL). (cmb)
  . Fixed bug #64878 (304 responses return Content-Type header). (cmb)
  . Refactor MIME type handling to use a hash table instead of linear search.
    (Adam)
  . Update the MIME type list from the one shipped by Apache HTTPD. (Adam)
  . Added support for SEARCH WebDav method. (Mats Lindh)

- COM:
  . Fixed bug #69939 (Casting object to bool returns false). (Kalle)

- Curl:
  . Fixed bug #70330 (Segmentation Fault with multiple "curl_copy_handle").
    (Laruence)
  . Fixed bug #70163 (curl_setopt_array() type confusion). (Laruence)
  . Fixed bug #70065 (curl_getinfo() returns corrupted values). (Anatol)
  . Fixed bug #69831 (Segmentation fault in curl_getinfo). (im dot denisenko at
    yahoo dot com)
  . Fixed bug #68937 (Segfault in curl_multi_exec). (Laruence)
  . Removed support for unsafe file uploads. (Nikita)

- Date:
  . Fixed bug #70245 (strtotime does not emit warning when 2nd parameter is
    object or string). (cmb)
  . Fixed bug #70266 (DateInterval::__construct.interval_spec is not supposed to
    be optional). (cmb)
  . Fixed bug #70277 (new DateTimeZone($foo) is ignoring text after null byte).
    (cmb)
  . Fixed day_of_week function as it could sometimes return negative values
    internally. (Derick)
  . Removed $is_dst parameter from mktime() and gmmktime(). (Nikita)
  . Removed date.timezone warning
    (https://wiki.php.net/rfc/date.timezone_warning_removal). (Bob)
  . Added "v" DateTime format modifier to get the 3-digit version of fraction
    of seconds. (Mariano Iglesias)
  . Implemented FR #69089 (Added DateTime::RFC3339_EXTENDED to output in
    RFC3339 Extended format which includes fraction of seconds). (Mariano
    Iglesias)

- DBA:
  . Fixed bug #62490 (dba_delete returns true on missing item (inifile)). (Mike)
  . Fixed bug #68711 (useless comparisons). (bugreports at internot dot info)

- DOM:
  . Fixed bug #70558 ("Couldn't fetch" error in
    DOMDocument::registerNodeClass()). (Laruence)
  . Fixed bug #70001 (Assigning to DOMNode::textContent does additional entity
    encoding). (cmb)
  . Fixed bug #69846 (Segmenation fault (access violation) when iterating over
    DOMNodeList). (Anatol Belski)
  . Made DOMNode::textContent writeable. (Tjerk)

- EXIF:
  . Fixed bug #70385 (Buffer over-read in exif_read_data with TIFF IFD tag byte
    value of 32 bytes). (Stas)

- Fileinfo:
  . Fixed bug #66242 (libmagic: don't assume char is signed). (ArdB)

- Filter:
  . New FILTER_VALIDATE_DOMAIN and better RFC conformance for FILTER_VALIDATE_URL. (Kevin Dunglas)
  . Fixed bug #67167 (Wrong return value from FILTER_VALIDATE_BOOLEAN,
    FILTER_NULL_ON_FAILURE). (levim)

- FPM:
  . Fixed bug #70538 ("php-fpm -i" crashes). (rainer dot jung at
    kippdata dot de)
  . Fixed bug #70279 (HTTP Authorization Header is sometimes passed to newer
    reqeusts). (Laruence)
  . Fixed bug #68945 (Unknown admin values segfault pools). (Laruence)
  . Fixed bug #65933 (Cannot specify config lines longer than 1024 bytes). (Chris Wright)
  . Implemented FR #67106 (Split main fpm config). (Elan Ruusamäe, Remi)

- FTP:
  . Fixed bug #69082 (FTPS support on Windows). (Anatol)

- GD:
  . Fixed bug #53156 (imagerectangle problem with point ordering). (cmb)
  . Fixed bug #66387 (Stack overflow with imagefilltoborder). (CVE-2015-8874)
    (cmb)
  . Fixed bug #70102 (imagecreatefromwebm() shifts colors). (cmb)
  . Fixed bug #66590 (imagewebp() doesn't pad to even length). (cmb)
  . Fixed bug #66882 (imagerotate by -90 degrees truncates image by 1px). (cmb)
  . Fixed bug #70064 (imagescale(..., IMG_BICUBIC) leaks memory). (cmb)
  . Fixed bug #69024 (imagescale segfault with palette based image). (cmb)
  . Fixed bug #53154 (Zero-height rectangle has whiskers). (cmb)
  . Fixed bug #67447 (imagecrop() add a black line when cropping). (cmb)
  . Fixed bug #68714 (copy 'n paste error). (cmb)
  . Fixed bug #66339 (PHP segfaults in imagexbm). (cmb)
  . Fixed bug #70047 (gd_info() doesn't report WebP support). (cmb)
  . Replace libvpx with libwebp for bundled libgd. (cmb, Anatol)
  . Fixed bug #61221 (imagegammacorrect function loses alpha channel). (cmb)
  . Made fontFetch's path parser thread-safe. (Sara)
  . Removed T1Lib support. (Kalle)

- GMP:
  . Fixed bug #70284 (Use after free vulnerability in unserialize() with GMP).
    (stas)

- hash:
  . Fixed bug #70312 (HAVAL gives wrong hashes in specific cases). (letsgolee
    at naver dot com)

- IMAP:
  . Fixed bug #70158 (Building with static imap fails). (cmb)
  . Fixed bug #69998 (curl multi leaking memory). (Pierrick)

- Intl:
  . Fixed bug #70453 (IntlChar::foldCase() incorrect arguments and missing
    constants). (cmb)
  . Fixed bug #70454 (IntlChar::forDigit second parameter should be optional).
    (cmb, colinodell)
  . Removed deprecated aliases datefmt_set_timezone_id() and
    IntlDateFormatter::setTimeZoneID(). (Nikita)

- JSON:
  . Fixed bug #62010 (json_decode produces invalid byte-sequences).
    (Jakub Zelenka)
  . Fixed bug #68546 (json_decode() Fatal error: Cannot access property
    started with '\0'). (Jakub Zelenka)
  . Replace non-free JSON parser with a parser from Jsond extension, fixes #63520
    (JSON extension includes a problematic license statement). (Jakub Zelenka)
  . Fixed bug #68938 (json_decode() decodes empty string without error).
    (jeremy at bat-country dot us)

- LDAP:
  . Fixed bug #47222 (Implement LDAP_OPT_DIAGNOSTIC_MESSAGE). (Andreas Heigl)

- LiteSpeed:
  . Updated LiteSpeed SAPI code from V5.5 to V6.6. (George Wang)

- libxml:
  . Fixed handling of big lines in error messages with libxml >= 2.9.0.
    (Christoph M. Becker)

- Mcrypt:
  . Fixed bug #70625 (mcrypt_encrypt() won't return data when no IV was
    specified under RC4). (Nikita)
  . Fixed bug #69833 (mcrypt fd caching not working). (Anatol)
  . Fixed possible read after end of buffer and use after free. (Dmitry)
  . Removed mcrypt_generic_end() alias. (Nikita)
  . Removed mcrypt_ecb(), mcrypt_cbc(), mcrypt_cfb(), mcrypt_ofb(). (Nikita)

- Mysqli:
  . Fixed bug #32490 (constructor of mysqli has wrong name). (cmb)

- Mysqlnd:
  . Fixed bug #70949 (SQL Result Sets With NULL Can Cause Fatal Memory Errors).
    (Laruence)
  . Fixed bug #70384 (mysqli_real_query():Unknown type 245 sent by the server).
   (Andrey)
  . Fixed bug #70456 (mysqlnd doesn't activate TCP keep-alive when connecting to
    a server). (Sergei Turchanov)
  . Fixed bug #70572 segfault in mysqlnd_connect. (Andrey, Remi)
  . Fixed Bug #69796 (mysqli_stmt::fetch doesn't assign null values to
    bound variables). (Laruence)

- OCI8:
  . Fixed memory leak with LOBs. (Senthil)
  . Fixed bug #68298 (OCI int overflow) (Senthil).
  . Corrected oci8 hash destructors to prevent segfaults, and a few other fixes.
    (Cameron Porter)

- ODBC:
  . Fixed bug #69975 (PHP segfaults when accessing nvarchar(max) defined
    columns). (CVE-2015-8879) (cmb)

- Opcache:
  . Fixed bug #70656 (require() statement broken after opcache_reset() or a
    few hours of use). (Laruence)
  . Fixed bug #70843 (Segmentation fault on MacOSX with
    opcache.file_cache_only=1). (Laruence)
  . Fixed bug #70724 (Undefined Symbols from opcache.so on Mac OS X 10.10).
    (Laruence)
  . Fixed compatibility with Windows 10 (see also bug #70652). (Anatol)
  . Attmpt to fix "Unable to reattach to base address" problem. (Matt Ficken)
  . Fixed bug #70423 (Warning Internal error: wrong size calculation). (Anatol)
  . Fixed bug #70237 (Empty while and do-while segmentation fault with opcode
    on CLI enabled). (Dmitry, Laruence)
  . Fixed bug #70111 (Segfault when a function uses both an explicit return
    type and an explicit cast). (Laruence)
  . Fixed bug #70058 (Build fails when building for i386). (Laruence)
  . Fixed bug #70022 (Crash with opcache using opcache.file_cache_only=1).
    (Anatol)
  . Removed opcache.load_comments configuration directive. Now doc comments
    loading costs nothing and always enabled. (Dmitry)
  . Fixed bug #69838 (Wrong size calculation for function table). (Anatol)
  . Fixed bug #69688 (segfault with eval and opcache fast shutdown).
    (Laruence)
  . Added experimental (disabled by default) file based opcode cache.
    (Dmitry, Laruence, Anatol)
  . Fixed bug with try blocks being removed when extended_info opcode
    generation is turned on. (Laruence)
  . Fixed bug #68644 (strlen incorrect : mbstring + func_overload=2 +UTF-8
    + Opcache). (Laruence)

- OpenSSL:
  . Require at least OpenSSL version 0.9.8. (Jakub Zelenka)
  . Fixed bug #68312 (Lookup for openssl.cnf causes a message box). (Anatol)
  . Fixed bug #55259 (openssl extension does not get the DH parameters from
    DH key resource). (Jakub Zelenka)
  . Fixed bug #70395 (Missing ARG_INFO for openssl_seal()). (cmb)
  . Fixed bug #60632 (openssl_seal fails with AES). (Jakub Zelenka)
  . Implemented FR #70438 (Add IV parameter for openssl_seal and openssl_open)
    (Jakub Zelenka)
  . Fixed bug #70014 (openssl_random_pseudo_bytes() is not cryptographically
    secure). (CVE-2015-8867) (Stas)
  . Fixed bug #69882 (OpenSSL error "key values mismatch" after
    openssl_pkcs12_read with extra cert). (Tomasz Sawicki)
  . Added "alpn_protocols" SSL context option allowing encrypted client/server
    streams to negotiate alternative protocols using the ALPN TLS extension when
    built against OpenSSL 1.0.2 or newer. Negotiated protocol information is
    accessible through stream_get_meta_data() output.
  . Removed "CN_match" and "SNI_server_name" SSL context options. Use automatic
    detection or the "peer_name" option instead. (Nikita)

- Pcntl:
  . Fixed bug #70386 (Can't compile on NetBSD because of missing WCONTINUED
    and WIFCONTINUED). (Matteo)
  . Fixed bug #60509 (pcntl_signal doesn't decrease ref-count of old handler
    when setting SIG_DFL). (Julien)
  . Implemented FR #68505 (Added wifcontinued and wcontinued). (xilon-jul)
  . Added rusage support to pcntl_wait() and pcntl_waitpid(). (Anton Stepanenko,
    Tony)

- PCRE:
  . Fixed bug #70232 (Incorrect bump-along behavior with \K and empty string
    match). (cmb)
  . Fixed bug #70345 (Multiple vulnerabilities related to PCRE functions).
    (Anatol Belski)
  . Fixed bug #70232 (Incorrect bump-along behavior with \K and empty string
    match). (cmb)
  . Fixed bug #53823 (preg_replace: * qualifier on unicode replace garbles the
    string). (cmb)
  . Fixed bug #69864 (Segfault in preg_replace_callback). (cmb, ab)

- PDO:
  . Fixed bug #70861 (Segmentation fault in pdo_parse_params() during Drupal 8
    test suite). (Anatol)
  . Fixed bug #70389 (PDO constructor changes unrelated variables). (Laruence)
  . Fixed bug #70272 (Segfault in pdo_mysql). (Laruence)
  . Fixed bug #70221 (persistent sqlite connection + custom function
    segfaults). (Laruence)
  . Removed support for the /e (PREG_REPLACE_EVAL) modifier. (Nikita)
  . Fixed bug #59450 (./configure fails with "Cannot find php_pdo_driver.h").
    (maxime dot besson at smile dot fr)

- PDO_DBlib:
  . Fixed bug #69757 (Segmentation fault on nextRowset).
    (miracle at rpz dot name)

- PDO_mysql:
  . Fixed bug #68424 (Add new PDO mysql connection attr to control multi
    statements option). (peter dot wolanin at acquia dot com)

- PDO_OCI:
  . Fixed bug #70308 (PDO::ATTR_PREFETCH is ignored). (Chris Jones)

- PDO_pgsql:
  . Fixed bug #69752 (PDOStatement::execute() leaks memory with DML
    Statements when closeCuror() is u). (Philip Hofstetter)
  . Removed PGSQL_ATTR_DISABLE_NATIVE_PREPARED_STATEMENT attribute in favor of
    ATTR_EMULATE_PREPARES). (Nikita)

- Phar:
  . Fixed bug #69720 (Null pointer dereference in phar_get_fp_offset()). (Stas)
  . FIxed bug #70433 (Uninitialized pointer in phar_make_dirstream when zip
    entry filename is "/"). (Stas)
  . Improved fix for bug #69441. (Anatol Belski)
  . Fixed bug #70019 (Files extracted from archive may be placed outside of
    destination directory). (Anatol Belski)

- Phpdbg:
  . Fixed bug #70614 (incorrect exit code in -rr mode with Exceptions). (Bob)
  . Fixed bug #70532 (phpdbg must respect set_exception_handler). (Bob)
  . Fixed bug #70531 (Run and quit mode (-qrr) should not fallback to
    interactive mode). (Bob)
  . Fixed bug #70533 (Help overview (-h) does not rpint anything under Windows).
    (Anatol)
  . Fixed bug #70449 (PHP won't compile on 10.4 and 10.5 because of missing
    constants). (Bob)
  . Fixed bug #70214 (FASYNC not defined, needs sys/file.h include). (Bob)
  . Fixed bug #70138 (Segfault when displaying memory leaks). (Bob)

- Reflection:
  . Fixed bug #70650 (Wrong docblock assignment). (Marcio)
  . Fixed bug #70674 (ReflectionFunction::getClosure() leaks memory when used
    for internal functions). (Dmitry, Bob)
  . Fixed bug causing bogus traces for ReflectionGenerator::getTrace(). (Bob)
  . Fixed inheritance chain of Reflector interface. (Tjerk)
  . Added ReflectionGenerator class. (Bob)
  . Added reflection support for return types and type declarations. (Sara,
    Matteo)

- Session:
  . Fixed bug #70876 (Segmentation fault when regenerating session id with
    strict mode). (Laruence)
  . Fixed bug #70529 (Session read causes "String is not zero-terminated" error).
    (Yasuo)
  . Fixed bug #70013 (Reference to $_SESSION is lost after a call to
    session_regenerate_id()). (Yasuo)
  . Fixed bug #69952 (Data integrity issues accessing superglobals by
    reference). (Bob)
  . Fixed bug #67694 (Regression in session_regenerate_id()). (Tjerk)
  . Fixed bug #68941 (mod_files.sh is a bash-script). (bugzilla at ii.nl, Yasuo)

- SOAP:
  . Fixed bug #70940 (Segfault in soap / type_to_string). (Remi)
  . Fixed bug #70900 (SoapClient systematic out of memory error). (Dmitry)
  . Fixed bug #70875 (Segmentation fault if wsdl has no targetNamespace
    attribute). (Matteo)
  . Fixed bug #70715 (Segmentation fault inside soap client). (Laruence)
  . Fixed bug #70709 (SOAP Client generates Segfault). (Laruence)
  . Fixed bug #70388 (SOAP serialize_function_call() type confusion / RCE).
    (Stas)
  . Fixed bug #70081 (SoapClient info leak / null pointer dereference via
     multiple type confusions). (Stas)
  . Fixed bug #70079 (Segmentation fault after more than 100 SoapClient
    calls). (Laruence)
  . Fixed bug #70032 (make_http_soap_request calls
    zend_hash_get_current_key_ex(,,,NULL). (Laruence)
  . Fixed bug #68361 (Segmentation fault on SoapClient::__getTypes). (Laruence)

- SPL:
  . Fixed bug #70959 (ArrayObject unserialize does not restore protected
    fields). (Laruence)
  . Fixed bug #70853 (SplFixedArray throws exception when using ref variable
    as index). (Laruence)
  . Fixed bug #70868 (PCRE JIT and pattern reuse segfault). (Laruence)
  . Fixed bug #70730 (Incorrect ArrayObject serialization if unset is called
    in serialize()). (Laruence)
  . Fixed bug #70573 (Cloning SplPriorityQueue leads to memory leaks). (Dmitry)
  . Fixed bug #70303 (Incorrect constructor reflection for ArrayObject). (cmb)
  . Fixed bug #70068 (Dangling pointer in the unserialization of ArrayObject
    items). (sean.heelan)
  . Fixed bug #70166 (Use After Free Vulnerability in unserialize() with
    SPLArrayObject). (taoguangchen at icloud dot com)
  . Fixed bug #70168 (Use After Free Vulnerability in unserialize() with
    SplObjectStorage). (taoguangchen at icloud dot com)
  . Fixed bug #70169 (Use After Free Vulnerability in unserialize() with
    SplDoublyLinkedList). (taoguangchen at icloud dot com)
  . Fixed bug #70053 (MutlitpleIterator array-keys incompatible change in
    PHP 7). (Tjerk)
  . Fixed bug #69970 (Use-after-free vulnerability in
    spl_recursive_it_move_forward_ex()). (Laruence)
  . Fixed bug #69845 (ArrayObject with ARRAY_AS_PROPS broken). (Dmitry)
  . Changed ArrayIterator implementation using zend_hash_iterator_... API.
    Allowed modification of iterated ArrayObject using the same behavior
    as proposed in `Fix "foreach" behavior`. Removed "Array was modified
    outside object and internal position is no longer valid" hack. (Dmitry)
  . Implemented FR #67886 (SplPriorityQueue/SplHeap doesn't expose extractFlags
    nor curruption state). (Julien)
  . Fixed bug #66405 (RecursiveDirectoryIterator::CURRENT_AS_PATHNAME
    breaks the RecursiveIterator). (Paul Garvin)

- SQLite3:
  . Fixed bug #70571 (Memory leak in sqlite3_do_callback). (Adam)
  . Fixed bug #69972 (Use-after-free vulnerability in
    sqlite3SafetyCheckSickOrOk()). (Laruence)
  . Fixed bug #69897 (segfault when manually constructing SQLite3Result).
    (Kalle)
  . Fixed bug #68260 (SQLite3Result::fetchArray declares wrong
    required_num_args). (Julien)

- Standard:
  . Fixed count on symbol tables. (Laruence)
  . Fixed bug #70963 (Unserialize shows UNKNOWN in result). (Laruence)
  . Fixed bug #70910 (extract() breaks variable references). (Laruence)
  . Fixed bug #70808 (array_merge_recursive corrupts memory of unset items).
    (Laruence)
  . Fixed bug #70667 (strtr() causes invalid writes and a crashes). (Dmitry)
  . Fixed bug #70668 (array_keys() doesn't respect references when $strict is
    true). (Bob, Dmitry)
  . Implemented the RFC `Random Functions Throwing Exceptions in PHP 7`.
    (Sammy Kaye Powers, Anthony)
  . Fixed bug #70487 (pack('x') produces an error). (Nikita)
  . Fixed bug #70342 (changing configuration with ignore_user_abort(true) isn't
    working). (Laruence)
  . Fixed bug #70295 (Segmentation fault with setrawcookie). (Bob)
  . Fixed bug #67131 (setcookie() conditional for empty values not met). (cmb)
  . Fixed bug #70365 (Use-after-free vulnerability in unserialize() with
    SplObjectStorage). (taoguangchen at icloud dot com)
  . Fixed bug #70366 (Use-after-free vulnerability in unserialize() with
    SplDoublyLinkedList). (taoguangchen at icloud dot com)
  . Fixed bug #70250 (extract() turns array elements to references).
    (Laruence)
  . Fixed bug #70211 (php 7 ZEND_HASH_IF_FULL_DO_RESIZE use after free).
    (Laruence)
  . Fixed bug #70208 (Assert breaking access on objects). (Bob)
  . Fixed bug #70140 (str_ireplace/php_string_tolower - Arbitrary Code
    Execution). (CVE-2015-6527) (Laruence)
  . Implemented FR #70112 (Allow "dirname" to go up various times). (Remi)
  . Fixed bug #36365 (scandir duplicates file name at every 65535th file). (cmb)
  . Fixed bug #70096 (Repeated iptcembed() adds superfluous FF bytes). (cmb)
  . Fixed bug #70018 (exec does not strip all whitespace). (Laruence)
  . Fixed bug #69983 (get_browser fails with user agent of null).
    (Kalle, cmb, Laruence)
  . Fixed bug #69976 (Unable to parse "all" urls with colon char). (cmb)
  . Fixed bug #69768 (escapeshell*() doesn't cater to !). (cmb)
  . Fixed bug #62922 (Truncating entire string should result in string).
    (Nikita)
  . Fixed bug #69723 (Passing parameters by reference and array_column).
    (Laruence)
  . Fixed bug #69523 (Cookie name cannot be empty). (Christoph M. Becker)
  . Fixed bug #69325 (php_copy_file_ex does not pass the argument).
    (imbolk at gmail dot com)
  . Fixed bug #69299 (Regression in array_filter's $flag argument in PHP 7).
    (Laruence)
  . Removed call_user_method() and call_user_method_array() functions. (Kalle)
  . Fixed user session handlers (See rfc:session.user.return-value). (Sara)
  . Added intdiv() function. (Andrea)
  . Improved precision of log() function for base 2 and 10. (Marc Bennewitz)
  . Remove string category support in setlocale(). (Nikita)
  . Remove set_magic_quotes_runtime() and its alias magic_quotes_runtime().
    (Nikita)
  . Fixed bug #65272 (flock() out parameter not set correctly in windows).
    (Daniel Lowrey)
  . Added preg_replace_callback_array function. (Wei Dai)
  . Deprecated salt option to password_hash. (Anthony)
  . Fixed bug #69686 (password_verify reports back error on PHP7 will null
    string). (Anthony)
  . Added Windows support for getrusage(). (Kalle)
  . Removed hardcoded limit on number of pipes in proc_open(). (Tony)

- Streams:
  . Fixed bug #70361 (HTTP stream wrapper doesn't close keep-alive connections).
    (Niklas Keller)
  . Fixed bug #68532 (convert.base64-encode omits padding bytes).
    (blaesius at krumedia dot de)
  . Removed set_socket_blocking() in favor of its alias stream_set_blocking().
    (Nikita)

- Tokenizer:
  . Fixed bug #69430 (token_get_all has new irrecoverable errors). (Nikita)

- XMLReader:
  . Fixed bug #70309 (XmlReader read generates extra output). (Anatol)

- XMLRPC
  . Fixed bug #70526 (xmlrpc_set_type returns false on success). (Laruence)

- XSL:
  . Fixed bug #70678 (PHP7 returns true when false is expected). (Felipe)
  . Fixed bug #70535 (XSLT: free(): invalid pointer). (Laruence)
  . Fixed bug #69782 (NULL pointer dereference). (Stas)
  . Fixed bug #64776 (The XSLT extension is not thread safe). (Mike)
  . Removed xsl.security_prefs ini option. (Nikita)

- Zlib:
  . Added deflate_init(), deflate_add(), inflate_init(), inflate_add()
    functions allowing incremental/streaming compression/decompression.
    (Daniel Lowrey & Bob Weinand)

- Zip:
  . Fixed bug #70322 (ZipArchive::close() doesn't indicate errors).
    (CVE-2014-9767) (cmb)
  . Fixed bug #70350 (ZipArchive::extractTo allows for directory traversal when
    creating directories). (neal at fb dot com)
  . Added ZipArchive::setCompressionName and ZipArchive::setCompressionIndex
    methods. (Remi, Cedric Delmas)
  . Update bundled libzip to 1.0.1. (Remi, Anatol)
  . Fixed bug #67161 (ZipArchive::getStream() returns NULL for certain file).
    (Christoph M. Becker)
